classification
Title: Python 3.6.1 fails to generate 256 colors on Cygwin based 64-bit Windows 10
Type: behavior Stage: resolved
Components: Versions: Python 3.6
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: erik.bray, masamoto, rigordo, rigordo959, terry.reedy, zach.ware
Priority: normal Keywords:

Created on 2017-06-09 08:17 by rigordo, last changed 2017-06-12 12:53 by rigordo. This issue is now closed.

Messages (17)
msg295495 - (view) Author: Richard S. Gordon (rigordo) Date: 2017-06-09 08:17
Generated colors appear to be corrupted by overloading text attribute with specified foreground and background colors.

This can be demonstrated by running test_tsWxColorPalette.py in Python 3x (developer-sandbox) found in https://github.com/rigordo959/tsWxGTUI_PyVx_Repository. 

Richard S. Gordon
msg295537 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-06-09 15:02
This is going to need a significantly reduced reproducer that doesn't rely on anything outside the standard library before we can do anything with it, especially since Cygwin support is currently tenuous at best.  erik.bray or masamoto may have more insight, though.
msg295539 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-09 15:16
> Generated colors appear to be corrupted by overloading text attribute with specified foreground and background colors.

Python doesn't contain anything in its stdlib to control the color of the terminal. Are you sure that you posted your bug report at the right place?
msg295548 - (view) Author: Richard S. Gordon (rigordo959) Date: 2017-06-09 16:00
> On Jun 9, 2017, at 11:16 AM, STINNER Victor <report@bugs.python.org> wrote:
> 
> 
> STINNER Victor added the comment:
> 
>> Generated colors appear to be corrupted by overloading text attribute with specified foreground and background colors.
> 
> Python doesn't contain anything in its stdlib to control the color of the terminal. Are you sure that you posted your bug report at the right place?
> 
> ----------
> nosy: +haypo
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue30609>
> _______________________________________

My application, emulates the high level wxPython API, using the standard Python curses package. It uses such curses API methods as window.attron(text attribute) and window.attroff(text attribute). Now that ncurses 6.0 has been released, it supports 64-bit processors and 256+colors. Python 3.6.1 should have been updated to support the new ncurses 64-bit API. It does not seem to have been updated. With the ncurses5.x 32-bit API, the Python 2x and 3x curses modules supported up to 16 colors and up to 64 color pairs. The updated curses packages should support at least 256 colors and at least 65536 color pairs.

Richard S. Gordon
msg295551 - (view) Author: Richard S. Gordon (rigordo959) Date: 2017-06-09 16:24
> On Jun 9, 2017, at 11:59 AM, Richard S. Gordon <rigordo@comcast.net> wrote:
> 
> 
>> On Jun 9, 2017, at 11:16 AM, STINNER Victor <report@bugs.python.org> wrote:
>> 
>> 
>> STINNER Victor added the comment:
>> 
>>> Generated colors appear to be corrupted by overloading text attribute with specified foreground and background colors.
>> 
>> Python doesn't contain anything in its stdlib to control the color of the terminal. Are you sure that you posted your bug report at the right place?
>> 
>> ----------
>> nosy: +haypo
>> 
>> _______________________________________
>> Python tracker <report@bugs.python.org>
>> <http://bugs.python.org/issue30609>
>> _______________________________________
> 
> My application, emulates the high level wxPython API, using the standard Python curses package. It uses such curses API methods as window.attron(text attribute) and window.attroff(text attribute). Now that ncurses 6.0 has been released, it supports 64-bit processors and 256+colors. Python 3.6.1 should have been updated to support the new ncurses 64-bit API. It does not seem to have been updated. With the ncurses5.x 32-bit API, the Python 2x and 3x curses modules supported up to 16 colors and up to 64 color pairs. The updated curses packages should support at least 256 colors and at least 65536 color pairs.
> 
> Richard S. Gordon

I neglected to state that ncurses 6.0 changed certain c/c++ data types to support the additional data bits needed to support more colors. The Python curses stdlib needs to reflect the new c/c++ ncurses data types.
msg295554 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-09 16:32
What is your operating system? How did you install ncurses? What is your ncurses version?

On Linux, Python is linked dynamically to the system ncurses library. Python is built using system ncurses headers.
msg295563 - (view) Author: Richard S. Gordon (rigordo) Date: 2017-06-09 19:53
> On Jun 9, 2017, at 12:32 PM, STINNER Victor <report@bugs.python.org <mailto:report@bugs.python.org>> wrote:
> 
> 
> STINNER Victor added the comment:
> 
> What is your operating system? How did you install ncurses? What is your ncurses version?
> 
> On Linux, Python is linked dynamically to the system ncurses library. Python is built using system ncurses headers.
> 
> ----------
> 
> _______________________________________
> Python tracker <report@bugs.python.org <mailto:report@bugs.python.org>>
> <http://bugs.python.org/issue30609 <http://bugs.python.org/issue30609>>
> _______________________________________

Host operating system is Windows 10 (updated to 1703)
ncurses and Python 3.6.1 were included in cygwin.

Cygwin log:

2017/03/26 02:34:07 Starting cygwin install, version 2.877
2017/03/26 02:34:07 User has backup/restore rights
2017/03/26 02:34:07 Current Directory: d:\Cygwin64
2017/03/26 02:34:07 Could not open service McShield for query, start and stop. McAfee may not be installed, or we don't have access.
2017/03/26 02:34:17 Ending cygwin install

$ uname -a
CYGWIN_NT-10.0 WIN10PRO64VM 2.8.0(0.309/5/3) 2017-04-01 20:47 x86_64 Cygwin

excerpt from curses.h header file from cygwin’s /user/include/curses.h:

/****************************************************************************
 * Copyright (c) 1998-2016,2017 Free Software Foundation, Inc.              *
 *                                                                          *
 * Permission is hereby granted, free of charge, to any person obtaining a  *
 * copy of this software and associated documentation files (the            *
 * "Software"), to deal in the Software without restriction, including      *
 * without limitation the rights to use, copy, modify, merge, publish,      *
 * distribute, distribute with modifications, sublicense, and/or sell       *
 * copies of the Software, and to permit persons to whom the Software is    *
 * furnished to do so, subject to the following conditions:                 *
 *                                                                          *
 * The above copyright notice and this permission notice shall be included  *
 * in all copies or substantial portions of the Software.                   *
 *                                                                          *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
 * IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
 * THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
 *                                                                          *
 * Except as contained in this notice, the name(s) of the above copyright   *
 * holders shall not be used in advertising or otherwise to promote the     *
 * sale, use or other dealings in this Software without prior written       *
 * authorization.                                                           *
 ****************************************************************************/

/****************************************************************************
 *  Author: Zeyd M. Ben-Halim <zmbenhal@netcom.com <mailto:zmbenhal@netcom.com>> 1992,1995               *
 *     and: Eric S. Raymond <esr@snark.thyrsus.com <mailto:esr@snark.thyrsus.com>>                         *
 *     and: Thomas E. Dickey                        1996-on                 *
 ****************************************************************************/

/* $Id: curses.h.in,v 1.248 2017/03/09 09:43:50 tom Exp $ */

#ifndef __NCURSES_H
#define __NCURSES_H

#define CURSES 1
#define CURSES_H 1

/* These are defined only in curses.h, and are used for conditional compiles */
#define NCURSES_VERSION_MAJOR 6
#define NCURSES_VERSION_MINOR 0
#define NCURSES_VERSION_PATCH 20170325

/* This is defined in more than one ncurses header, for identification */
#undef  NCURSES_VERSION
#define NCURSES_VERSION "6.0"

/*
 * Identify the mouse encoding version.
 */
#define NCURSES_MOUSE_VERSION 2

/*
 * Definitions to facilitate DLL's.
 */
#include <ncurses_dll.h>

#if 1
#include <stdint.h>
#endif

/*
 * User-definable tweak to disable the include of <stdbool.h>.
 */
#ifndef NCURSES_ENABLE_STDBOOL_H
#define NCURSES_ENABLE_STDBOOL_H 1
#endif

/*
 * NCURSES_ATTR_T is used to quiet compiler warnings when building ncurses
 * configured using --disable-macros.
 */
#ifndef NCURSES_ATTR_T
#define NCURSES_ATTR_T int
#endif

/*
 * Expands to 'const' if ncurses is configured using --enable-const.  Note that
 * doing so makes it incompatible with other implementations of X/Open Curses.
 */
#undef  NCURSES_CONST
#define NCURSES_CONST /*nothing*/

#undef NCURSES_INLINE
#define NCURSES_INLINE inline

/*
 * The internal type used for color values, and for color-pairs.  The latter
 * allows the curses library to enumerate the combinations of foreground and
 * background colors used by an application, and is normally the product of the
 * total foreground and background colors.
 *
 * X/Open uses "short" for both of these types, ultimately because they are
 * numbers from the SVr4 terminal database, which uses 16-bit signed values.
 */
#undef	NCURSES_COLOR_T
#define	NCURSES_COLOR_T short

#undef	NCURSES_PAIRS_T
#define	NCURSES_PAIRS_T short

/*
 * Definitions used to make WINDOW and similar structs opaque.
 */
#ifndef NCURSES_INTERNALS
#define NCURSES_OPAQUE       1
#define NCURSES_OPAQUE_FORM  0
#define NCURSES_OPAQUE_MENU  0
#define NCURSES_OPAQUE_PANEL 0
#endif

/*
 * Definition used to optionally suppress wattr* macros to help with the
 * transition from ncurses5 to ncurses6 by allowing the header files to
 * be shared across development packages for ncursesw in both ABIs.
 */
#ifndef NCURSES_WATTR_MACROS
#define NCURSES_WATTR_MACROS 1
#endif

/*
 * The reentrant code relies on the opaque setting, but adds features.
 */
#ifndef NCURSES_REENTRANT
#define NCURSES_REENTRANT 1
#endif

/*
 * Control whether bindings for interop support are added.
 */
#undef	NCURSES_INTEROP_FUNCS
#define	NCURSES_INTEROP_FUNCS 0

/*
 * The internal type used for window dimensions.
 */
#undef	NCURSES_SIZE_T
#define	NCURSES_SIZE_T int

/*
 * Control whether tparm() supports varargs or fixed-parameter list.
 */
#undef NCURSES_TPARM_VARARGS
#define NCURSES_TPARM_VARARGS 1

/*
 * Control type used for tparm's arguments.  While X/Open equates long and
 * char* values, this is not always workable for 64-bit platforms.
 */
#undef NCURSES_TPARM_ARG
#define NCURSES_TPARM_ARG long

/*
 * Control whether ncurses uses wcwidth() for checking width of line-drawing
 * characters.
 */
#undef NCURSES_WCWIDTH_GRAPHICS
#define NCURSES_WCWIDTH_GRAPHICS 1

/*
 * NCURSES_CH_T is used in building the library, but not used otherwise in
 * this header file, since that would make the normal/wide-character versions
 * of the header incompatible.
 */
#undef	NCURSES_CH_T
#define NCURSES_CH_T cchar_t

#if 1 && defined(_LP64)
typedef unsigned chtype;
typedef unsigned mmask_t;
#else
typedef unsigned int chtype;
typedef unsigned long mmask_t;
#endif

/*
 * We need FILE, etc.  Include this before checking any feature symbols.
 */
#include <stdio.h>

/*
 * With XPG4, you must define _XOPEN_SOURCE_EXTENDED, it is redundant (or
 * conflicting) when _XOPEN_SOURCE is 500 or greater.  If NCURSES_WIDECHAR is
 * not already defined, e.g., if the platform relies upon nonstandard feature
 * test macros, define it at this point if the standard feature test macros
 * indicate that it should be defined.
 */
#ifndef NCURSES_WIDECHAR
#if defined(_XOPEN_SOURCE_EXTENDED) || (defined(_XOPEN_SOURCE) && (_XOPEN_SOURCE - 0 >= 500))
#define NCURSES_WIDECHAR 1
#else
#define NCURSES_WIDECHAR 0
#endif
#endif /* NCURSES_WIDECHAR */

#include <stdarg.h>	/* we need va_list */
#if NCURSES_WIDECHAR
#include <stddef.h>	/* we want wchar_t */
#endif

/* X/Open and SVr4 specify that curses implements 'bool'.  However, C++ may also
 * implement it.  If so, we must use the C++ compiler's type to avoid conflict
 * with other interfaces.
 *
 * A further complication is that <stdbool.h> may declare 'bool' to be a
 * different type, such as an enum which is not necessarily compatible with
 * C++.  If we have <stdbool.h>, make 'bool' a macro, so users may #undef it.
 * Otherwise, let it remain a typedef to avoid conflicts with other #define's.
 * In either case, make a typedef for NCURSES_BOOL which can be used if needed
 * from either C or C++.
 */

#undef TRUE
#define TRUE    1

NOTE: GitHub repository includes wxPython emulations for Python 2x and for Python 3x.
It has been tested on 32-bit Windows XP, 7, 8 and 10. It has also been tested on various 32-bit
and 64-bit versions of Linux (CentOS, Scientific, Debian, OpenSuSEm and Ubuntu. It has also been
tested on 32-bit and 64-bit Oracle OpenSolaris, OpenIndiana Solaris and TrueOS (PCBSD) Unix.

Feel free to examine the source code and documentation and try it by following the Getting Started
instructions. I’m available to answer any questions or discus my design and implementation rationale.

Richard S. Gordon
msg295570 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-09 20:41
Cygwin is not currently supported by CPython, so I suggest to close this
issue. I mean: please report the issue to Cygwin, not CPython.
msg295575 - (view) Author: Masayuki Yamamoto (masamoto) * Date: 2017-06-09 20:57
@rigordo Are you using mintty? If I remember rightly, mintty hasn't been set 256 colors after installation (at least in past release, I'm not sure currently).
msg295576 - (view) Author: Richard S. Gordon (rigordo) Date: 2017-06-09 20:59
> On Jun 9, 2017, at 4:41 PM, STINNER Victor <report@bugs.python.org> wrote:
> 
> 
> STINNER Victor added the comment:
> 
> Cygwin is not currently supported by CPython, so I suggest to close this
> issue. I mean: please report the issue to Cygwin, not CPython.
> 
> ----------
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue30609>
> _______________________________________

Before you close this issue, answer how do you explain my success in running my wxPython emulation on all Cygwin releases since 2007 (Python 2.6.8) to 2017 (2.7.13 and Python 3.0-3.5.2 and 3.6.0-3.6.2)?

Richard S. Gordon
msg295585 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-06-09 21:41
Richard, when replying by email, please strip quoted text except for an occasional line or two.  (See example of limited in-context quote below.)

A bug, for the purpose of this tracker, is a discrepancy between between the docs written by the PSF's core development team and the code provided by the same.  The PSF curses module is documented as unix-only.  In particular, "This extension module is designed to match the API of ncurses, an open-source curses library hosted on Linux and the BSD variants of Unix."  It does not run on the PSF (python.org) Windows distribution, because there is no C interface to a Windows implementation of curses.

>>> import curses  # 64-bit 3.6.1 on Win 10 using python.org installer
Traceback (most recent call last):
  File "<pyshell#4>", line 1, in <module>
    import curses
  File "C:\Programs\Python36\lib\curses\__init__.py", line 13, in <module>
    from _curses import *
ModuleNotFoundError: No module named '_curses'

Anything Cygwin does to improve on this is their responsibility.

> how do you explain my success in running my wxPython emulation on all Cygwin releases since 2007

One or more people on the wxPython and/or Cygwin and/or other teams exerted the effort to make this happen.
msg295619 - (view) Author: Richard S. Gordon (rigordo) Date: 2017-06-10 08:29
> On Jun 9, 2017, at 4:59 PM, Richard S. Gordon <report@bugs.python.org> wrote:
> 
> 
> Richard S. Gordon added the comment:
> 
>> On Jun 9, 2017, at 4:41 PM, STINNER Victor <report@bugs.python.org> wrote:
>> 
>> 
>> STINNER Victor added the comment:
>> 
>> Cygwin is not currently supported by CPython, so I suggest to close this
>> issue. I mean: please report the issue to Cygwin, not CPython.
>> 
>> ----------
>> 
>> _______________________________________
>> Python tracker <report@bugs.python.org>
>> <http://bugs.python.org/issue30609>
>> _______________________________________
> 
> Before you close this issue, answer how do you explain my success in running my wxPython emulation on all Cygwin releases since 2007 (Python 2.6.8) to 2017 (2.7.13 and Python 3.0-3.5.2 and 3.6.0-3.6.2)?
> 
> Richard S. Gordon
> 
> ----------
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue30609>
> _______________________________________

FYI:

My current test platform is a 27” iMAC (with 3.5 GHz Intel Core i7, 16 GB 1600 MHz DDR3) running Mac OS 10.12.5 (Sierra). It includes support for Python 3.6.0. It uses the Parallels Desktop 12 for Mac (a hypervisor) to run the following guest operating system:
Android 4,
Linux (CentOS 7.2 & 7.3, Debian 8.7 & 8.8, Fedora 24 &25, OpenSUSE 13.2, Scientific 7.2 & 7.3, Ubuntu 16.04 & 17.04)
Solaris (OpenIndians Hipster 1610)
Unix (PCDBSD 10.3 & TrueOS 12.0)
Windows (10 32-bit, 10 64-bit) (NOTE: previously ran 32-bit XP, 7 and 8.1)
Only Windows 10, with Cygwin, includes support for Python 3.6.1 and support for xterm, xterm-16color and xterm-256olor. The other Guest Operating Systems typically support 3.4.x or 3.5.x with xterm (8-color).

Richard S. Gordon
msg295702 - (view) Author: Richard S. Gordon (rigordo) Date: 2017-06-11 10:39
> On Jun 10, 2017, at 4:28 AM, Richard S. Gordon <rigordo@comcast.net> wrote:
> 
> 
>> On Jun 9, 2017, at 4:59 PM, Richard S. Gordon <report@bugs.python.org <mailto:report@bugs.python.org>> wrote:
>> 
>> 
>> Richard S. Gordon added the comment:
>> 
>>> On Jun 9, 2017, at 4:41 PM, STINNER Victor <report@bugs.python.org <mailto:report@bugs.python.org>> wrote:
>>> 
>>> 
>>> STINNER Victor added the comment:
>>> 
>>> Cygwin is not currently supported by CPython, so I suggest to close this
>>> issue. I mean: please report the issue to Cygwin, not CPython.
>>> 
>>> ----------
>>> 
>>> _______________________________________
>>> Python tracker <report@bugs.python.org <mailto:report@bugs.python.org>>
>>> <http://bugs.python.org/issue30609 <http://bugs.python.org/issue30609>>
>>> _______________________________________
>> 
>> Before you close this issue, answer how do you explain my success in running my wxPython emulation on all Cygwin releases since 2007 (Python 2.6.8) to 2017 (2.7.13 and Python 3.0-3.5.2 and 3.6.0-3.6.2)?
>> 
>> Richard S. Gordon
>> 
>> ----------
>> 
>> _______________________________________
>> Python tracker <report@bugs.python.org <mailto:report@bugs.python.org>>
>> <http://bugs.python.org/issue30609 <http://bugs.python.org/issue30609>>
>> _______________________________________
> 
> FYI:
> 
> My current test platform is a 27” iMAC (with 3.5 GHz Intel Core i7, 16 GB 1600 MHz DDR3) running Mac OS 10.12.5 (Sierra). It includes support for Python 3.6.0. It uses the Parallels Desktop 12 for Mac (a hypervisor) to run the following guest operating system:
> Android 4,
> Linux (CentOS 7.2 & 7.3, Debian 8.7 & 8.8, Fedora 24 &25, OpenSUSE 13.2, Scientific 7.2 & 7.3, Ubuntu 16.04 & 17.04)
> Solaris (OpenIndians Hipster 1610)
> Unix (PCDBSD 10.3 & TrueOS 12.0)
> Windows (10 32-bit, 10 64-bit) (NOTE: previously ran 32-bit XP, 7 and 8.1)
> Only Windows 10, with Cygwin, includes support for Python 3.6.1 and support for xterm, xterm-16color and xterm-256olor. The other Guest Operating Systems typically support 3.4.x or 3.5.x with xterm (8-color).
> 
> Richard S. Gordon

Fixing this Python 3.6.1 issue will probably require modification to the Python curse stdlib. Here is the ncurses 6.0 author’s description of the notable changes that he made
to ncurses 5.x in order to produce ncurses 6.0 (excerpted from: http://invisible-island.net/ncurses/announce.html):
Extend the cchar_t structure to allow more than 16 colors to be encoded.
Modify the encoding of mouse state to make room for a 5th mouse button. That allows one to use ncurses with a wheel mouse with xterm or similar X terminal emulators.
Richard S. Gordon
msg295704 - (view) Author: Richard S. Gordon (rigordo) Date: 2017-06-11 11:21
Clarification:
The suggested fix to the Python 3.6.1 curses stdlib should only be applied to those 64-bit platform version used with 64-bit ncurses 6.0.
It should NOT apply to the Python 3.6.1 curses stdlib applied to those 32-bit platforms used with 32-bit ncurses 6.0, because the 32-bit ncurses 6.0 API is backwards compatible to the 32-bit ncurses 5.x API.

> On Jun 11, 2017, at 6:39 AM, Richard S. Gordon <report@bugs.python.org <mailto:report@bugs.python.org>> wrote:
> 
> 
> Richard S. Gordon added the comment:
> 
>> On Jun 10, 2017, at 4:28 AM, Richard S. Gordon <rigordo@comcast.net <mailto:rigordo@comcast.net>> wrote:
>> 
>> 
>>> On Jun 9, 2017, at 4:59 PM, Richard S. Gordon <report@bugs.python.org <mailto:report@bugs.python.org> <mailto:report@bugs.python.org <mailto:report@bugs.python.org>>> wrote:
>>> 
>>> 
>>> Richard S. Gordon added the comment:
>>> 
>>>> On Jun 9, 2017, at 4:41 PM, STINNER Victor <report@bugs.python.org <mailto:report@bugs.python.org> <mailto:report@bugs.python.org <mailto:report@bugs.python.org>>> wrote:
>>>> 
>>>> 
>>>> STINNER Victor added the comment:
>>>> 
>>>> Cygwin is not currently supported by CPython, so I suggest to close this
>>>> issue. I mean: please report the issue to Cygwin, not CPython.
>>>> 
>>>> ----------
>>>> 
>>>> _______________________________________
>>>> Python tracker <report@bugs.python.org <mailto:report@bugs.python.org> <mailto:report@bugs.python.org <mailto:report@bugs.python.org>>>
>>>> <http://bugs.python.org/issue30609 <http://bugs.python.org/issue30609> <http://bugs.python.org/issue30609 <http://bugs.python.org/issue30609>>>
>>>> _______________________________________
>>> 
>>> Before you close this issue, answer how do you explain my success in running my wxPython emulation on all Cygwin releases since 2007 (Python 2.6.8) to 2017 (2.7.13 and Python 3.0-3.5.2 and 3.6.0-3.6.2)?
>>> 
>>> Richard S. Gordon
>>> 
>>> ----------
>>> 
>>> _______________________________________
>>> Python tracker <report@bugs.python.org <mailto:report@bugs.python.org> <mailto:report@bugs.python.org <mailto:report@bugs.python.org>>>
>>> <http://bugs.python.org/issue30609 <http://bugs.python.org/issue30609> <http://bugs.python.org/issue30609 <http://bugs.python.org/issue30609>>>
>>> _______________________________________
>> 
>> FYI:
>> 
>> My current test platform is a 27” iMAC (with 3.5 GHz Intel Core i7, 16 GB 1600 MHz DDR3) running Mac OS 10.12.5 (Sierra). It includes support for Python 3.6.0. It uses the Parallels Desktop 12 for Mac (a hypervisor) to run the following guest operating system:
>> Android 4,
>> Linux (CentOS 7.2 & 7.3, Debian 8.7 & 8.8, Fedora 24 &25, OpenSUSE 13.2, Scientific 7.2 & 7.3, Ubuntu 16.04 & 17.04)
>> Solaris (OpenIndians Hipster 1610)
>> Unix (PCDBSD 10.3 & TrueOS 12.0)
>> Windows (10 32-bit, 10 64-bit) (NOTE: previously ran 32-bit XP, 7 and 8.1)
>> Only Windows 10, with Cygwin, includes support for Python 3.6.1 and support for xterm, xterm-16color and xterm-256olor. The other Guest Operating Systems typically support 3.4.x or 3.5.x with xterm (8-color).
>> 
>> Richard S. Gordon
> 
> Fixing this Python 3.6.1 issue will probably require modification to the Python curse stdlib. Here is the ncurses 6.0 author’s description of the notable changes that he made
> to ncurses 5.x in order to produce ncurses 6.0 (excerpted from: http://invisible-island.net/ncurses/announce.html <http://invisible-island.net/ncurses/announce.html>):
> Extend the cchar_t structure to allow more than 16 colors to be encoded.
> Modify the encoding of mouse state to make room for a 5th mouse button. That allows one to use ncurses with a wheel mouse with xterm or similar X terminal emulators.
> Richard S. Gordon
> 
> ----------
> 
> _______________________________________
> Python tracker <report@bugs.python.org <mailto:report@bugs.python.org>>
> <http://bugs.python.org/issue30609 <http://bugs.python.org/issue30609>>
> _______________________________________
msg295734 - (view) Author: Richard S. Gordon (rigordo959) Date: 2017-06-11 23:32
> On Jun 9, 2017, at 5:41 PM, Terry J. Reedy <report@bugs.python.org> wrote:
> 
> 
> Terry J. Reedy added the comment:
> 
> Richard, when replying by email, please strip quoted text except for an occasional line or two.  (See example of limited in-context quote below.)
> 
> A bug, for the purpose of this tracker, is a discrepancy between between the docs written by the PSF's core development team and the code provided by the same.  The PSF curses module is documented as unix-only.  In particular, "This extension module is designed to match the API of ncurses, an open-source curses library hosted on Linux and the BSD variants of Unix."  It does not run on the PSF (python.org) Windows distribution, because there is no C interface to a Windows implementation of curses.
> 

Cygwin is a Linux-like (Unix-compatible) command line interface and run-time environment plug-in for Windows. My cross-platform Python code does not use a PSF Windows implementation. It only uses the standard Python 2x and Python 3x curses library module low level API to emulate a subset of the wxPython high-level API. It has been run successfully with xterm (8-color) and xterm-16color terminal emulators (including the ones provided with all Cygwin releases since 2007). All platforms manifest the same failure when my software attempts to use the xterm-256color terminal emulator:

PC-BSD 10.3 Unix
TrueOS (PC-BSD) 12.0 Unix
MacOS X 7.0-10.12.5 (Darwin & BSD Unix based)
Oracle OpenSolaris 11
OpenIndiana Hipster-1610 Solaris 1
CentOS Linux 7.2 & 7.3
Debian Linux 8.7.0 & 8.8.0
Fedora Linux 24 & 25
Scientific Linux 7.2 & 7.3
Windows  XP, 7, 8.1 and 10 (each with Cygwin plug-in)

I am reporting this issue to PSF because I suspect that the standard Python 3.6.1 curses libraries has not be updated to support more that 16 colors on 64-bit platforms. None of my non-Windows 64-bit platforms currently incorporate ncurses 6.0 or Python 3.6.1. I’m anxiously waiting for new releases to those non-windows operating systems.

>>>> import curses  # 64-bit 3.6.1 on Win 10 using python.org installer
> Traceback (most recent call last):
>  File "<pyshell#4>", line 1, in <module>
>    import curses
>  File "C:\Programs\Python36\lib\curses\__init__.py", line 13, in <module>
>    from _curses import *
> ModuleNotFoundError: No module named '_curses'
> 
> Anything Cygwin does to improve on this is their responsibility.
> 
>> how do you explain my success in running my wxPython emulation on all Cygwin releases since 2007
> 
> One or more people on the wxPython and/or Cygwin and/or other teams exerted the effort to make this happen.

wxPython is a pixel-mode GUI. It does use the character-mode curses or ncurses libraries.

Cygwin provides both X11 pixel-mode graphics and ncurses-based character-mode graphics.
> 
> ----------
> nosy: +terry.reedy
> resolution:  -> third party
> stage: test needed -> resolved
> status: open -> closed
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue30609>
> _______________________________________
msg295735 - (view) Author: Richard S. Gordon (rigordo959) Date: 2017-06-11 23:47
> On Jun 9, 2017, at 4:57 PM, Masayuki Yamamoto <report@bugs.python.org> wrote:
> 
> 
> Masayuki Yamamoto added the comment:
> 
> @rigordo Are you using mintty? If I remember rightly, mintty hasn't been set 256 colors after installation (at least in past release, I'm not sure currently).
> 

Yes, I am using the Cygwin mintty console (typically configured for 80 columns by 50 rows). On Linux, MacOS X, Solaris. Unix and Windows (with cygwin) platforms, I issue the appropriate console bash commands to change (TERM=emulator) or reset (STTY sane) the terminal emulation:

TERM=xterm
TERM=xterm-16color
TERM=xterm-88color
TERM=xterm-256color

> ----------
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue30609>
> _______________________________________
msg295774 - (view) Author: Richard S. Gordon (rigordo) Date: 2017-06-12 12:52
FYI: Here is an update to my subsequent bug report to the Cygwin project team. You might find my answers to their questions useful in the future.

> Begin forwarded message:
> 
> From: "Richard S. Gordon" <rigordo@comcast.net <mailto:rigordo@comcast.net>>
> Subject: Re: Python 3.6.1 fails to generate 256 colors, with xterm-256color, on Cygwin based 64-bit Windows 10.
> Date: June 12, 2017 at 3:21:22 AM EDT
> To: cygwin@cygwin.com <mailto:cygwin@cygwin.com>
> Cc: rigordo@comcast.net <mailto:rigordo@comcast.net>, Brian.Inglis@SystematicSw.ab.ca <mailto:Brian.Inglis@SystematicSw.ab.ca>
> Reply-To: "Richard S. Gordon" <rigordo@comcast.net <mailto:rigordo@comcast.net>>
> 
> Hello Cygwin & Brian Inglis,
> 
> I  have  not yet received the subject e-mail but did see a copy in the
> Cygwin  Archive.  I’ve  reproduced  it below to facilitate my reply. I
> used   a   different  mailer  to  generate  plain  text,  without  pdf
> attachment.
> 
> My HTML formatted email was rejected.
> 
> Re: Python 3.6.1 fails to generate 256 colors, with xterm-256color, on Cygwin based 64-bit Windows 10.
> 
> From: Brian Inglis <Brian dot Inglis at SystematicSw dot ab dot ca>
> To: cygwin at cygwin dot com
> Date: Sun, 11 Jun 2017 09:44:09 -0600
> Subject: Re: Python 3.6.1 fails to generate 256 colors, with xterm-256color, on Cygwin based 64-bit Windows 10.
> Authentication-results: sourceware.org <http://sourceware.org/>; auth=none
> References: <86DAFF59-6EA8-4288-9D7D-E3262988BD7C@comcast.net <mailto:86DAFF59-6EA8-4288-9D7D-E3262988BD7C@comcast.net>>
> Reply-to: Brian dot Inglis at SystematicSw dot ab dot ca
> *** IMPORTANT ***
> Each test application is a small part of a software repository which contains:
> 
> Development Sandboxes (not requiring installation and registration with a specific Python 2x or Python3x release).
> Site Packages (requiring installation and registration with a specific Python 2x or Python3x release).
> My toolkit uses the Python curses API to interrogate the built-in features. It overrides the built-in curses color palette only if curses allows the change.
> 
> In order to verify or troubleshoot my Python 3.6.1 failure, it is necessary to clone a copy of my toolkit repository on to your computer from its GitHub repository.
> The errors you got when you tried to run one of my failing test applications are the result of trying to run it without its associated built-in toolkit libraries.
> 
> You can place the repository copy into any convenient location on your system. If you work within one of its Developer Sandboxes, instead of installing
> any of its Site Packages, you will be able to delete the entire repository rather than those components which were installed and registered with individual
> Python 2x or Python 3x releases.
> 
> Each Developer Sandbox automatically finds and uses its associated libraries.
> On 2017-06-11 08:18, Richard S. Gordon wrote:
> See how to make decent Cygwin problem reports at the link below my sig.
> 
>> 3. Python 3.6.1 generates 256 colors (65536-color pairs), with 
>> xterm-256color, on Cygwin based 64-bit Windows 10. However, the 
>> generated colors appear to be corrupted by overloading text
>> attribute with specified foreground and background colors.
> Could you please give some examples of what you expect to see and why,
> and what you actually see?

> NOTES:
> On left is 32-bit Python 3.6.1 which supports only 16 colors (per limitation of 32-bit processor)
> On right is 64-bit Python 3.6.1 which supports 140 colors (per emulation of 68 WxPython + 72 extra); besides wrong colors, notice the spurious underlines.
> Sample 32-bit and 64-bit Python 3.6.1.pdf
> 
> Which Windows console are you running the test in: mintty, cmd, …?
> Cygwin’s MINTTY, typically configured for 80 columns x 43-50 rows.
> 
> What are the results when you run it in another console?
> None available
> 
> Are you running a Windows Insider or some developer build?
> No
> That recently had a keyboard problem that was fixed a few days later.
> 
>> 6. Cygwin Problem Reporter's Test Case: This Cygwin problem can be 
>> demonstrated by running the Problem Reporter's 
>> test_tsWxColorPalette.py in Python 3x (developer-sandbox) which can 
>> be found in https://github.com/rigordo959/tsWxGTUI_PyVx_Repository <https://github.com/rigordo959/tsWxGTUI_PyVx_Repository>
> Could you please provide a direct link to a Simple Test Case program,
> again with examples of what you expect to see and what you actually see?
> I had to dig to find where you hid your test program.
> See Important Notes at beginning of my reply.
> 
> If the program requires certain Cygwin python modules installed to run,
> please state which Cygwin packages need to be installed.
> The console, ncursesw, pty, or tty person trying to reproduce and
> diagnose your problem may not be a python guy.
> My Toolkit and its Test Applications use only Python 3.6.1 and its associated standard curses library.
> Plus which Windows console are you seeing the problems under?
> Not Applicable. Windows Console Applications are not used.
> 
> Steps to Reproduce your problem are required.
> Steps:
> TERM=xterm-256color
> cd /cygdrive/d/WR/tsWxGTUI_PyVx_Repository/SourceDistributions/Developer-Sandboxes/tsWxGTUI_PyVx/Python-3x-3.6.1/tsWxGTUI_Py3x-3.6.1
> python3 test_tsWxColorPalette.py
> Running your test under current Win10 x64, latest Cygwin, mintty,
> python3, and also on Debian, I get:
> 
> $ python3 Downloads/test_tsWxColorPalette.py
> test_tsWxColorPalette: ImportError (tsLibCLI); importCode=No module
> named 'tsLibCLI'
> test_tsWxColorPalette: ImportError (tsLibCLI); importCode=No module
> named 'tsExceptions'
> test_tsWxColorPalette: ImportError (tsLibGUI); importCode=No module
> named 'tsLibGUI'
> test_tsWxColorPalette: ImportError (tsLibGUI); importCode=No module
> named 'tsWx'
> Traceback (most recent call last):
>  File "Downloads/test_tsWxColorPalette.py", line 272, in <module>
>    StandardTerminalEmulators = wxThemeToUse['StandardTerminalEmulators']
> NameError: name 'wxThemeToUse' is not defined
> 
> As I stated above, the test application requires toolkit supplied libraries.
> Those Toolkit libraries use the Python standard curses API to emulate a character-mode compatible subset of the pixel-mode wxPython API.
>> 4. Cygwin problem reporter's test platform is a 27" iMAC (with 3.5 
>> GHz Intel Core i7, 16 GB 1600 MHz DDR3) running Mac OS 10.12.5
>> (Sierra). It uses the Parallels Desktop 12 for Mac (a hypervisor) to
>> run the following guest operating system:
> 
>> e. Windows (10 32-bit, 10 64-bit) (NOTE: previously ran 32-bit XP, 7 
>> and 8.1). Only Windows 10, with Cygwin, includes support for Python
>> 3.6.1 and support for xterm, xterm-16color and xterm-256olor.
> What is the ||s VM screen interface config and the console screen config?
> 
> Please append cygcheck -svr output as a text attachment to your post, so
> support folks can see what your environment is running.
> Cygwin Configuration Diagnostics
> Current System Time: Mon Jun 12 06:27:21 2017
> 
> Windows 10 Professional Ver 10.0 Build 15063 
> 
> Path:   D:\Cygwin64\usr\local\bin
>        D:\Cygwin64\bin
>        C:\Program Files (x86)\Parallels\Parallels Tools\Applications
>        C:\Python27
>        C:\Python27\Scripts
>        C:\Windows\System32
>        C:\Windows
>        C:\Windows\System32\wbem
>        C:\Windows\System32\WindowsPowerShell\v1.0
>        C:\PROGRA~1\CONDUS~1\DISKEE~1
>        C:\Program Files\Condusiv Technologies\Diskeeper\TCE
>        C:\Users\rsg\AppData\Roaming\Python\Scripts
>        C:\Users\rsg\AppData\Local\Microsoft\WindowsApps
>        D:\Cygwin64\lib\lapack
> 
> Output from D:\Cygwin64\bin\id.exe
> UID: 197608(rsg)
> GID: 197608(rsg)
> 197608(rsg)
> 401408(Medium Mandatory Level)
> 545(Users)
> 4(INTERACTIVE)
> 66049(CONSOLE LOGON)
> 11(Authenticated Users)
> 15(This Organization)
> 68414(MicrosoftAccount+rigordo@softwaregadgetry.onmicrosoft.com <mailto:MicrosoftAccount+rigordo@softwaregadgetry.onmicrosoft.com>)
> 113(Local account)
> 66048(LOCAL)
> 262180(Cloud Account Authentication)
> 
> SysDir: C:\WINDOWS\system32
> WinDir: C:\WINDOWS
> 
> USER = 'rsg'
> PWD = '/cygdrive/d/WR/tsWxGTUI_PyVx_Repository/SourceDistributions/Developer-Sandboxes/tsWxGTUI_PyVx/Python-3x-3.6.1/tsWxGTUI_Py3x-3.6.1'
> HOME = '/home/rsg'
> 
> USERDOMAIN = 'WIN10PRO64VM'
> OS = 'Windows_NT'
> COMMONPROGRAMFILES = 'C:\Program Files\Common Files'
> PROCESSOR_LEVEL = '6'
> PSModulePath = 'C:\Program Files\WindowsPowerShell\Modules;C:\WINDOWS\system32\WindowsPowerShell\v1.0\Modules'
> CommonProgramW6432 = 'C:\Program Files\Common Files'
> CommonProgramFiles(x86) = 'C:\Program Files (x86)\Common Files'
> LANG = 'en_US.UTF-8'
> TZ = 'America/New_York'
> HOSTNAME = 'WIN10PRO64VM'
> PUBLIC = 'C:\Users\Public'
> OLDPWD = '/home/rsg'
> USERNAME = 'rsg'
> LOGONSERVER = '\\WIN10PRO64VM'
> PROCESSOR_ARCHITECTURE = 'AMD64'
> LOCALAPPDATA = 'C:\Users\rsg\AppData\Local'
> COMPUTERNAME = 'WIN10PRO64VM'
> FPS_BROWSER_APP_PROFILE_STRING = 'Internet Explorer'
> !:: = '::\'
> SYSTEMDRIVE = 'C:'
> USERPROFILE = 'C:\Users\rsg'
> PATHEXT = '.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC;.py;.pyw'
> SYSTEMROOT = 'C:\WINDOWS'
> USERDOMAIN_ROAMINGPROFILE = 'WIN10PRO64VM'
> PROCESSOR_IDENTIFIER = 'Intel64 Family 6 Model 60 Stepping 3, GenuineIntel'
> TMP = '/tmp'
> OneDrive = 'C:\Users\rsg\OneDrive'
> PROCESSOR_REVISION = '3c03'
> FPS_BROWSER_USER_PROFILE_STRING = 'Default'
> EMAIL = 'C:\Users\rsg\AppData\Roaming\The Bat!'
> PROFILEREAD = 'true'
> NUMBER_OF_PROCESSORS = '2'
> ProgramW6432 = 'C:\Program Files'
> COMSPEC = 'C:\WINDOWS\system32\cmd.exe'
> APPDATA = 'C:\Users\rsg\AppData\Roaming'
> SHELL = '/bin/bash'
> TERM = 'xterm-256color'
> WINDIR = 'C:\WINDOWS'
> ProgramData = 'C:\ProgramData'
> SHLVL = '1'
> PRINTER = 'HP LaserJet P2015 Series (26A5C8)'
> PROGRAMFILES = 'C:\Program Files'
> ALLUSERSPROFILE = 'C:\ProgramData'
> TEMP = '/tmp'
> asl.log = 'Destination=file'
> SESSIONNAME = 'Console'
> ProgramFiles(x86) = 'C:\Program Files (x86)'
> PS1 = '\[\e]0;\w\a\]\n\[\e[32m\]\u@\h \[\e[33m\]\w\[\e[0m\]\n\$ '
> HOMEDRIVE = 'C:'
> INFOPATH = '/usr/local/info:/usr/share/info:/usr/info'
> HOMEPATH = '\Users\rsg'
> ORIGINAL_PATH = '/cygdrive/c/Program Files (x86)/Parallels/Parallels Tools/Applications:/cygdrive/c/Python27:/cygdrive/c/Python27/Scripts:/cygdrive/c/Windows/System32:/cygdrive/c/Windows:/cygdrive/c/Windows/System32/wbem:/cygdrive/c/Windows/System32/WindowsPowerShell/v1.0:/cygdrive/c/PROGRA~1/CONDUS~1/DISKEE~1:/cygdrive/c/Program Files/Condusiv Technologies/Diskeeper/TCE:/cygdrive/c/Users/rsg/AppData/Roaming/Python/Scripts:/cygdrive/c/Users/rsg/AppData/Local/Microsoft/WindowsApps'
> EXECIGNORE = '*.dll'
> _ = '/usr/bin/cygcheck'
> 
> HKEY_CURRENT_USER\Software\Cygwin
> HKEY_CURRENT_USER\Software\Cygwin\Installations
>  (default) = '\??\D:\Cygwin64'
>  227963ece732cd3b = '\??\D:\Cygwin32'
>  0b2e0ad1875883ba = '\??\C:\Cygwin32'
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygwin
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygwin\Installations
>  (default) = '\??\D:\Cygwin64'
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygwin\setup
>  (default) = 'D:\Cygwin64'
> HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Cygwin
> HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Cygwin\Installations
>  (default) = '\??\D:\Cygwin32'
>  0b2e0ad1875883ba = '\??\C:\Cygwin32'
> HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Cygwin\setup
>  (default) = 'C:\Cygwin32'
> 
> obcaseinsensitive set to 1
> 
> Cygwin installations found in the registry:
>  System: Key: f76db13c759b51fa Path: D:\Cygwin64
>  User:   Key: f76db13c759b51fa Path: D:\Cygwin64
>  User:   Key: 227963ece732cd3b Path: D:\Cygwin32 (ORPHANED)
>  User:   Key: 0b2e0ad1875883ba Path: C:\Cygwin32
> 
> c:  hd  NTFS    523306Mb  10% CP CS UN PA FC     EN
> d:  hd  NTFS    524284Mb  18% CP CS UN PA FC     EN
> e:  cd             N/A    N/A                      
> f:  cd             N/A    N/A                      
> x:  net PrlSF  1907401Mb  93% CP CS                
> y:  net PrlSF    15047Mb  40% CP CS                
> z:  net PrlSF  2861260Mb  63% CP CS                
> 
> D:\Cygwin64      /          system  binary,auto
> D:\Cygwin64\bin  /usr/bin   system  binary,auto
> D:\Cygwin64\lib  /usr/lib   system  binary,auto
> cygdrive prefix  /cygdrive  user    binary,posix=0,auto
> 
> Found: D:\Cygwin64\bin\awk
> -> D:\Cygwin64\bin\gawk.exe
> Found: D:\Cygwin64\bin\bash.exe
> Found: D:\Cygwin64\bin\cat.exe
> Found: D:\Cygwin64\bin\cp.exe
> Found: D:\Cygwin64\bin\cpp.exe
> Not Found: crontab
> Found: D:\Cygwin64\bin\find.exe
> Found: C:\Windows\System32\find.exe
> Warning: D:\Cygwin64\bin\find.exe hides C:\Windows\System32\find.exe
> Found: D:\Cygwin64\bin\gcc.exe
> Not Found: gdb
> Found: D:\Cygwin64\bin\grep.exe
> Found: D:\Cygwin64\bin\kill.exe
> Found: D:\Cygwin64\bin\ld.exe
> Found: D:\Cygwin64\bin\ls.exe
> Found: D:\Cygwin64\bin\make.exe
> Found: D:\Cygwin64\bin\mv.exe
> Not Found: patch
> Found: D:\Cygwin64\bin\perl.exe
> Found: D:\Cygwin64\bin\rm.exe
> Found: D:\Cygwin64\bin\sed.exe
> Found: D:\Cygwin64\bin\ssh.exe
> Found: D:\Cygwin64\bin\sh.exe
> Found: D:\Cygwin64\bin\tar.exe
> Found: D:\Cygwin64\bin\test.exe
> Found: D:\Cygwin64\bin\vi.exe
> Not Found: vim
> 
>  154k 2015/05/23 D:\Cygwin64\bin\cygapr-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygapr-1-0.dll" v0.0 ts=2015-05-23 02:30
>  128k 2015/05/23 D:\Cygwin64\bin\cygaprutil-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygaprutil-1-0.dll" v0.0 ts=2015-05-23 03:31
>  621k 2017/05/03 D:\Cygwin64\bin\cygarchive-13.dll - os=4.0 img=0.0 sys=5.2
>                  "cygarchive-13.dll" v0.0 ts=2017-05-03 04:20
>   39k 2016/09/19 D:\Cygwin64\bin\cygargp-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygargp-0.dll" v0.0 ts=2016-09-19 02:13
>  116k 2017/03/05 D:\Cygwin64\bin\cygatk-1.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygatk-1.0-0.dll" v0.0 ts=2017-03-05 04:23
>   88k 2016/06/13 D:\Cygwin64\bin\cygatomic-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygatomic-1.dll" v0.0 ts=2016-06-13 17:14
>   16k 2013/03/26 D:\Cygwin64\bin\cygattr-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygattr-1.dll" v0.0 ts=2013-03-26 18:26
>  180k 2015/03/23 D:\Cygwin64\bin\cygblkid-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygblkid-1.dll" v0.0 ts=2015-03-23 09:46
>   64k 2017/02/22 D:\Cygwin64\bin\cygbz2-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygbz2-1.dll" v0.0 ts=2017-02-22 07:22
> 1078k 2017/03/06 D:\Cygwin64\bin\cygcairo-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygcairo-2.dll" v0.0 ts=2017-03-06 06:15
>   27k 2017/03/06 D:\Cygwin64\bin\cygcairo-gobject-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygcairo-gobject-2.dll" v0.0 ts=2017-03-06 06:16
>  119k 2017/03/06 D:\Cygwin64\bin\cygcairo-script-interpreter-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygcairo-script-interpreter-2.dll" v0.0 ts=2017-03-06 06:16
>   10k 2015/02/20 D:\Cygwin64\bin\cygcharset-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygcharset-1.dll" v0.0 ts=2015-02-20 17:07
>  117k 2013/05/05 D:\Cygwin64\bin\cygcloog-isl-4.dll - os=4.0 img=0.0 sys=5.2
>                  "cygcloog-isl-4.dll" v0.0 ts=2013-05-05 16:41
>   13k 2015/03/19 D:\Cygwin64\bin\cygcom_err-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygcom_err-2.dll" v0.0 ts=2015-03-19 02:44
>   26k 2017/05/09 D:\Cygwin64\bin\cygcord-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygcord-1.dll" v0.0 ts=2017-05-09 14:41
>   10k 2016/06/09 D:\Cygwin64\bin\cygcrypt-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygcrypt-0.dll" v0.0 ts=2016-06-09 16:02
> 2235k 2017/01/26 D:\Cygwin64\bin\cygcrypto-1.0.0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygcrypto-1.0.0.dll" v0.0 ts=2017-01-26 20:10
>  481k 2017/05/12 D:\Cygwin64\bin\cygcurl-4.dll - os=4.0 img=0.0 sys=5.2
>                  "cygcurl-4.dll" v0.0 ts=2017-05-12 06:19
>   24k 2014/11/12 D:\Cygwin64\bin\cygdatrie-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygdatrie-1.dll" v0.0 ts=2014-11-12 07:24
> 1549k 2016/08/22 D:\Cygwin64\bin\cygdb-5.3.dll - os=4.0 img=0.0 sys=5.2
>                  "cygdb-5.3.dll" v0.0 ts=2016-08-22 09:51
>  267k 2017/04/28 D:\Cygwin64\bin\cygdbus-1-3.dll - os=4.0 img=0.0 sys=5.2
>                  "cygdbus-1-3.dll" v0.0 ts=2017-04-28 17:51
>  124k 2016/08/22 D:\Cygwin64\bin\cygdb_cxx-5.3.dll - os=4.0 img=0.0 sys=5.2
>                  "cygdb_cxx-5.3.dll" v0.0 ts=2016-08-22 09:52
>  570k 2016/08/22 D:\Cygwin64\bin\cygdb_sql-5.3.dll - os=4.0 img=0.0 sys=5.2
>                  "cygdb_sql-5.3.dll" v0.0 ts=2016-08-22 09:52
>  154k 2013/10/20 D:\Cygwin64\bin\cygedit-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygedit-0.dll" v0.0 ts=2013-10-20 21:56
>  123k 2017/06/06 D:\Cygwin64\bin\cygEGL-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygEGL-1.dll" v0.0 ts=2017-06-06 06:35
>  145k 2016/06/21 D:\Cygwin64\bin\cygexpat-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygexpat-1.dll" v0.0 ts=2016-06-21 23:15
>   30k 2014/10/14 D:\Cygwin64\bin\cygfam-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygfam-0.dll" v0.0 ts=2014-10-14 21:33
>   27k 2015/11/17 D:\Cygwin64\bin\cygffi-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygffi-6.dll" v0.0 ts=2015-11-17 22:14
>  243k 2016/08/11 D:\Cygwin64\bin\cygfontconfig-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygfontconfig-1.dll" v0.0 ts=2016-08-11 02:54
>   26k 2016/01/29 D:\Cygwin64\bin\cygfontenc-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygfontenc-1.dll" v0.0 ts=2016-01-29 20:19
>   55k 2017/03/29 D:\Cygwin64\bin\cygformw-10.dll - os=4.0 img=0.0 sys=5.2
>                  "cygformw-10.dll" v0.0 ts=2017-03-29 23:26
>  597k 2016/07/28 D:\Cygwin64\bin\cygfreetype-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygfreetype-6.dll" v0.0 ts=2016-07-28 17:48
>  119k 2017/05/09 D:\Cygwin64\bin\cyggc-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggc-1.dll" v0.0 ts=2017-05-09 14:41
>    9k 2017/05/09 D:\Cygwin64\bin\cyggccpp-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggccpp-1.dll" v0.0 ts=2017-05-09 14:41
>   70k 2016/06/13 D:\Cygwin64\bin\cyggcc_s-seh-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggcc_s-seh-1.dll" v0.0 ts=2016-06-13 16:18
>   39k 2016/10/10 D:\Cygwin64\bin\cyggdbm-4.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggdbm-4.dll" v0.0 ts=2016-10-10 09:26
>   13k 2016/10/10 D:\Cygwin64\bin\cyggdbm_compat-4.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggdbm_compat-4.dll" v0.0 ts=2016-10-10 09:26
>  608k 2016/12/09 D:\Cygwin64\bin\cyggdk-x11-2.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggdk-x11-2.0-0.dll" v0.0 ts=2016-12-08 23:51
>  138k 2017/05/04 D:\Cygwin64\bin\cyggdk_pixbuf-2.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggdk_pixbuf-2.0-0.dll" v0.0 ts=2017-05-04 06:22
> 2552k 2017/03/17 D:\Cygwin64\bin\cyggeany-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggeany-0.dll" v0.0 ts=2017-03-17 06:59
>  187k 2016/11/08 D:\Cygwin64\bin\cygGeoIP-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygGeoIP-1.dll" v0.0 ts=2016-11-08 18:21
> 1158k 2016/06/13 D:\Cygwin64\bin\cyggfortran-3.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggfortran-3.dll" v0.0 ts=2016-06-13 17:41
> 1344k 2017/03/17 D:\Cygwin64\bin\cyggio-2.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggio-2.0-0.dll" v0.0 ts=2017-03-06 06:26
>  192k 2017/03/05 D:\Cygwin64\bin\cyggirepository-1.0-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggirepository-1.0-1.dll" v0.0 ts=2017-03-05 04:10
>  704k 2015/05/18 D:\Cygwin64\bin\cyggit2-22.dll - os=4.0 img=0.22 sys=5.2
>                  "cyggit2-22.dll" v0.0 ts=2015-05-18 02:26
>  736k 2016/10/14 D:\Cygwin64\bin\cyggit2-23.dll - os=4.0 img=0.23 sys=5.2
>                  "cyggit2-23.dll" v0.0 ts=2016-10-14 20:12
>  785k 2017/03/06 D:\Cygwin64\bin\cyggit2-24.dll - os=4.0 img=0.24 sys=5.2
>                  "cyggit2-24.dll" v0.0 ts=2017-03-06 21:24
>  263k 2017/03/14 D:\Cygwin64\bin\cyggit2-glib-1.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggit2-glib-1.0-0.dll" v0.0 ts=2017-03-14 22:27
>  456k 2017/06/06 D:\Cygwin64\bin\cygGL-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygGL-1.dll" v0.0 ts=2017-06-06 06:34
>  296k 2017/06/06 D:\Cygwin64\bin\cygglapi-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygglapi-0.dll" v0.0 ts=2017-06-06 06:09
>  975k 2017/03/17 D:\Cygwin64\bin\cygglib-2.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygglib-2.0-0.dll" v0.0 ts=2017-03-05 03:42
>   15k 2017/03/17 D:\Cygwin64\bin\cyggmodule-2.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggmodule-2.0-0.dll" v0.0 ts=2017-03-17 20:26
>  527k 2017/01/21 D:\Cygwin64\bin\cyggmp-10.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggmp-10.dll" v0.0 ts=2017-01-21 18:25
>  202k 2016/06/13 D:\Cygwin64\bin\cyggnarl-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggnarl-5.dll" v0.0 ts=2016-06-13 17:20
> 2855k 2016/06/13 D:\Cygwin64\bin\cyggnat-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggnat-5.dll" v0.0 ts=2016-06-13 17:19
>  284k 2017/03/17 D:\Cygwin64\bin\cyggobject-2.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggobject-2.0-0.dll" v0.0 ts=2017-03-05 03:42
>  105k 2016/06/13 D:\Cygwin64\bin\cyggomp-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggomp-1.dll" v0.0 ts=2016-06-13 16:22
>   10k 2016/06/13 D:\Cygwin64\bin\cyggomp-plugin-host_nonshm-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggomp-plugin-host_nonshm-1.dll" v0.0 ts=2016-06-13 16:23
>  176k 2016/10/30 D:\Cygwin64\bin\cyggraphite2-3.dll - os=4.0 img=3.0 sys=5.2
>                  "cyggraphite2-3.dll" v0.0 ts=2016-10-30 20:52
> 2016k 2015/11/02 D:\Cygwin64\bin\cyggsl-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggsl-0.dll" v0.0 ts=2015-11-02 07:12
>  253k 2015/11/02 D:\Cygwin64\bin\cyggslcblas-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggslcblas-0.dll" v0.0 ts=2015-11-02 07:08
>  258k 2016/09/26 D:\Cygwin64\bin\cyggssapi_krb5-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggssapi_krb5-2.dll" v0.0 ts=2016-09-26 06:55
>    9k 2017/03/17 D:\Cygwin64\bin\cyggthread-2.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggthread-2.0-0.dll" v0.0 ts=2017-03-05 03:42
> 3928k 2016/12/09 D:\Cygwin64\bin\cyggtk-x11-2.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cyggtk-x11-2.0-0.dll" v0.0 ts=2016-12-09 00:02
>  732k 2017/04/01 D:\Cygwin64\bin\cygguile-17.dll - os=4.0 img=0.0 sys=5.2
>                  "cygguile-17.dll" v0.0 ts=2017-04-01 13:04
> 1311k 2017/04/01 D:\Cygwin64\bin\cygguile-2.0-22.dll - os=4.0 img=0.0 sys=5.2
>                  "cygguile-2.0-22.dll" v0.0 ts=2017-04-01 04:44
>  396k 2017/03/05 D:\Cygwin64\bin\cygharfbuzz-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygharfbuzz-0.dll" v0.0 ts=2017-03-05 04:22
>   33k 2017/02/13 D:\Cygwin64\bin\cyghistory7.dll - os=4.0 img=0.0 sys=5.2
>                  "cyghistory7.dll" v0.0 ts=2017-02-11 22:39
>   77k 2014/08/10 D:\Cygwin64\bin\cygICE-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygICE-6.dll" v0.0 ts=1970-01-01 00:00
> 1009k 2015/02/20 D:\Cygwin64\bin\cygiconv-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygiconv-2.dll" v0.0 ts=2015-02-20 17:07
> 24466k 2015/10/08 D:\Cygwin64\bin\cygicudata56.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicudata56.dll" v0.0 ts=2015-10-08 13:46
> 25076k 2016/04/08 D:\Cygwin64\bin\cygicudata57.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicudata57.dll" v0.0 ts=2016-04-08 20:07
> 25607k 2016/12/10 D:\Cygwin64\bin\cygicudata58.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicudata58.dll" v0.0 ts=2016-12-10 16:53
> 2093k 2015/10/08 D:\Cygwin64\bin\cygicui18n56.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicui18n56.dll" v0.0 ts=2015-10-08 13:42
> 2082k 2016/04/08 D:\Cygwin64\bin\cygicui18n57.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicui18n57.dll" v0.0 ts=2016-04-08 20:04
> 2091k 2016/12/10 D:\Cygwin64\bin\cygicui18n58.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicui18n58.dll" v0.0 ts=2016-12-10 16:52
>   44k 2015/10/08 D:\Cygwin64\bin\cygicuio56.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicuio56.dll" v0.0 ts=2015-10-08 13:44
>   44k 2016/04/08 D:\Cygwin64\bin\cygicuio57.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicuio57.dll" v0.0 ts=2016-04-08 20:05
>   44k 2016/12/10 D:\Cygwin64\bin\cygicuio58.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicuio58.dll" v0.0 ts=2016-12-10 16:52
>  306k 2015/10/08 D:\Cygwin64\bin\cygicule56.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicule56.dll" v0.0 ts=2015-10-08 13:44
>  298k 2016/04/08 D:\Cygwin64\bin\cygicule57.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicule57.dll" v0.0 ts=2016-04-08 20:05
>   38k 2015/10/08 D:\Cygwin64\bin\cygiculx56.dll - os=4.0 img=0.0 sys=5.2
>                  "cygiculx56.dll" v0.0 ts=2015-10-08 13:44
>   38k 2016/04/08 D:\Cygwin64\bin\cygiculx57.dll - os=4.0 img=0.0 sys=5.2
>                  "cygiculx57.dll" v0.0 ts=2016-04-08 20:05
> 1348k 2015/10/08 D:\Cygwin64\bin\cygicuuc56.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicuuc56.dll" v0.0 ts=2015-10-08 13:41
> 1400k 2016/04/08 D:\Cygwin64\bin\cygicuuc57.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicuuc57.dll" v0.0 ts=2016-04-08 20:03
> 1422k 2016/12/10 D:\Cygwin64\bin\cygicuuc58.dll - os=4.0 img=0.0 sys=5.2
>                  "cygicuuc58.dll" v0.0 ts=2016-12-10 16:51
>  197k 2017/05/02 D:\Cygwin64\bin\cygidn-11.dll - os=4.0 img=0.0 sys=5.2
>                  "cygidn-11.dll" v0.0 ts=2017-05-02 01:18
>  111k 2017/04/24 D:\Cygwin64\bin\cygidn2-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygidn2-0.dll" v0.0 ts=2017-04-24 05:20
>   42k 2016/10/23 D:\Cygwin64\bin\cygintl-8.dll - os=4.0 img=0.0 sys=5.2
>                  "cygintl-8.dll" v0.0 ts=2016-10-23 07:17
>  294k 2013/09/09 D:\Cygwin64\bin\cygiodbc-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygiodbc-2.dll" v0.0 ts=2013-09-09 16:36
>   66k 2013/09/09 D:\Cygwin64\bin\cygiodbcinst-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygiodbcinst-2.dll" v0.0 ts=2013-09-09 16:35
>  888k 2013/05/05 D:\Cygwin64\bin\cygisl-10.dll - os=4.0 img=0.0 sys=5.2
>                  "cygisl-10.dll" v0.0 ts=2013-05-05 16:36
> 1039k 2015/09/20 D:\Cygwin64\bin\cygisl-13.dll - os=4.0 img=0.0 sys=5.2
>                  "cygisl-13.dll" v0.0 ts=2015-09-20 12:39
>  284k 2017/01/03 D:\Cygwin64\bin\cygjasper-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygjasper-1.dll" v0.0 ts=2017-01-03 14:07
>  290k 2017/05/03 D:\Cygwin64\bin\cygjasper-4.dll - os=4.0 img=4.0 sys=5.2
>                  "cygjasper-4.dll" v0.0 ts=2017-05-03 23:26
> 3433k 2015/11/20 D:\Cygwin64\bin\cygjavascriptcoregtk-1.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygjavascriptcoregtk-1.0-0.dll" v0.0 ts=2015-11-20 06:12
> 3433k 2015/11/20 D:\Cygwin64\bin\cygjavascriptcoregtk-3.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygjavascriptcoregtk-3.0-0.dll" v0.0 ts=2015-11-20 11:59
>   48k 2014/06/17 D:\Cygwin64\bin\cygjbig-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygjbig-2.dll" v0.0 ts=1970-01-01 00:00
>   18k 2014/06/17 D:\Cygwin64\bin\cygjbig85-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygjbig85-2.dll" v0.0 ts=1970-01-01 00:00
>  403k 2016/08/07 D:\Cygwin64\bin\cygjpeg-8.dll - os=4.0 img=0.0 sys=5.2
>                  "cygjpeg-8.dll" v0.0 ts=2016-08-07 20:20
>  177k 2016/09/26 D:\Cygwin64\bin\cygk5crypto-3.dll - os=4.0 img=0.0 sys=5.2
>                  "cygk5crypto-3.dll" v0.0 ts=2016-09-26 06:55
>  251k 2016/11/01 D:\Cygwin64\bin\cygKF5WindowSystem-5.dll - os=4.0 img=5.27 sys=5.2
>                  "cygKF5WindowSystem-5.dll" v0.0 ts=2016-11-01 23:39
>  722k 2016/09/26 D:\Cygwin64\bin\cygkrb5-3.dll - os=4.0 img=0.0 sys=5.2
>                  "cygkrb5-3.dll" v0.0 ts=2016-09-26 06:55
>   35k 2016/09/26 D:\Cygwin64\bin\cygkrb5support-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygkrb5support-0.dll" v0.0 ts=2016-09-26 06:54
>   45k 2015/11/19 D:\Cygwin64\bin\cyglber-2-4-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cyglber-2-4-2.dll" v0.0 ts=2015-11-19 14:17
>  246k 2015/11/19 D:\Cygwin64\bin\cygldap-2-4-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygldap-2-4-2.dll" v0.0 ts=2015-11-19 14:18
>  262k 2015/11/19 D:\Cygwin64\bin\cygldap_r-2-4-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygldap_r-2-4-2.dll" v0.0 ts=2015-11-19 14:19
>  113k 2017/01/27 D:\Cygwin64\bin\cyglightcomp.dll - os=4.0 img=0.0 sys=5.2
>                  "cyglightcomp.dll" v0.0 ts=2017-01-27 07:17
> 18282k 2016/03/30 D:\Cygwin64\bin\cygLLVM-3.5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygLLVM-3.5.dll" v0.0 ts=2016-03-30 03:42
> 26685k 2016/07/21 D:\Cygwin64\bin\cygLLVM-3.8.dll - os=4.0 img=0.0 sys=5.2
>                  "cygLLVM-3.8.dll" v0.0 ts=2016-07-21 04:07
> 29379k 2017/02/20 D:\Cygwin64\bin\cygLLVM-3.9.dll - os=4.0 img=0.0 sys=5.2
>                  "cygLLVM-3.9.dll" v0.0 ts=2017-02-20 16:42
>  337k 2016/02/11 D:\Cygwin64\bin\cygLLVMAArch64AsmParser-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAArch64AsmParser-3.7.dll" v0.0 ts=2016-02-10 21:53
>  379k 2016/02/11 D:\Cygwin64\bin\cygLLVMAArch64AsmPrinter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAArch64AsmPrinter-3.7.dll" v0.0 ts=2016-02-10 21:52
> 1136k 2016/02/11 D:\Cygwin64\bin\cygLLVMAArch64CodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAArch64CodeGen-3.7.dll" v0.0 ts=2016-02-10 21:55
>  418k 2016/02/11 D:\Cygwin64\bin\cygLLVMAArch64Desc-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAArch64Desc-3.7.dll" v0.0 ts=2016-02-10 21:53
>  123k 2016/02/11 D:\Cygwin64\bin\cygLLVMAArch64Disassembler-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAArch64Disassembler-3.7.dll" v0.0 ts=2016-02-10 21:53
>    9k 2016/02/11 D:\Cygwin64\bin\cygLLVMAArch64Info-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAArch64Info-3.7.dll" v0.0 ts=2016-02-10 21:52
>   48k 2016/02/11 D:\Cygwin64\bin\cygLLVMAArch64Utils-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAArch64Utils-3.7.dll" v0.0 ts=2016-02-10 21:52
>  259k 2016/02/11 D:\Cygwin64\bin\cygLLVMAMDGPUAsmParser-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAMDGPUAsmParser-3.7.dll" v0.0 ts=2016-02-10 21:53
>  147k 2016/02/11 D:\Cygwin64\bin\cygLLVMAMDGPUAsmPrinter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAMDGPUAsmPrinter-3.7.dll" v0.0 ts=2016-02-10 21:52
> 1054k 2016/02/11 D:\Cygwin64\bin\cygLLVMAMDGPUCodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAMDGPUCodeGen-3.7.dll" v0.0 ts=2016-02-10 21:55
>  804k 2016/02/11 D:\Cygwin64\bin\cygLLVMAMDGPUDesc-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAMDGPUDesc-3.7.dll" v0.0 ts=2016-02-10 21:53
>    9k 2016/02/11 D:\Cygwin64\bin\cygLLVMAMDGPUInfo-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAMDGPUInfo-3.7.dll" v0.0 ts=2016-02-10 21:52
>    9k 2016/02/11 D:\Cygwin64\bin\cygLLVMAMDGPUUtils-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAMDGPUUtils-3.7.dll" v0.0 ts=2016-02-10 21:52
> 1659k 2016/02/11 D:\Cygwin64\bin\cygLLVMAnalysis-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAnalysis-3.7.dll" v0.0 ts=2016-02-10 21:53
>  438k 2016/02/11 D:\Cygwin64\bin\cygLLVMARMAsmParser-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMARMAsmParser-3.7.dll" v0.0 ts=2016-02-10 21:53
>  106k 2016/02/11 D:\Cygwin64\bin\cygLLVMARMAsmPrinter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMARMAsmPrinter-3.7.dll" v0.0 ts=2016-02-10 21:52
> 1400k 2016/02/11 D:\Cygwin64\bin\cygLLVMARMCodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMARMCodeGen-3.7.dll" v0.0 ts=2016-02-10 21:55
>  668k 2016/02/11 D:\Cygwin64\bin\cygLLVMARMDesc-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMARMDesc-3.7.dll" v0.0 ts=2016-02-10 21:53
>  205k 2016/02/11 D:\Cygwin64\bin\cygLLVMARMDisassembler-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMARMDisassembler-3.7.dll" v0.0 ts=2016-02-10 21:53
>   10k 2016/02/11 D:\Cygwin64\bin\cygLLVMARMInfo-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMARMInfo-3.7.dll" v0.0 ts=2016-02-10 21:52
>  250k 2016/02/11 D:\Cygwin64\bin\cygLLVMAsmParser-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAsmParser-3.7.dll" v0.0 ts=2016-02-10 21:53
>  443k 2016/02/11 D:\Cygwin64\bin\cygLLVMAsmPrinter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMAsmPrinter-3.7.dll" v0.0 ts=2016-02-10 21:55
>  190k 2016/02/11 D:\Cygwin64\bin\cygLLVMBitReader-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMBitReader-3.7.dll" v0.0 ts=2016-02-10 21:53
>  146k 2016/02/11 D:\Cygwin64\bin\cygLLVMBitWriter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMBitWriter-3.7.dll" v0.0 ts=2016-02-10 21:53
>   14k 2016/02/11 D:\Cygwin64\bin\cygLLVMBPFAsmPrinter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMBPFAsmPrinter-3.7.dll" v0.0 ts=2016-02-10 21:52
>  122k 2016/02/11 D:\Cygwin64\bin\cygLLVMBPFCodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMBPFCodeGen-3.7.dll" v0.0 ts=2016-02-10 21:55
>   29k 2016/02/11 D:\Cygwin64\bin\cygLLVMBPFDesc-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMBPFDesc-3.7.dll" v0.0 ts=2016-02-10 21:53
>    9k 2016/02/11 D:\Cygwin64\bin\cygLLVMBPFInfo-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMBPFInfo-3.7.dll" v0.0 ts=2016-02-10 21:52
> 2671k 2016/02/11 D:\Cygwin64\bin\cygLLVMCodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMCodeGen-3.7.dll" v0.0 ts=2016-02-10 21:54
> 2019k 2016/02/11 D:\Cygwin64\bin\cygLLVMCore-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMCore-3.7.dll" v0.0 ts=2016-02-10 21:52
>  102k 2016/02/11 D:\Cygwin64\bin\cygLLVMCppBackendCodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMCppBackendCodeGen-3.7.dll" v0.0 ts=2016-02-10 21:53
>    9k 2016/02/11 D:\Cygwin64\bin\cygLLVMCppBackendInfo-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMCppBackendInfo-3.7.dll" v0.0 ts=2016-02-10 21:52
>  175k 2016/02/11 D:\Cygwin64\bin\cygLLVMDebugInfoDWARF-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMDebugInfoDWARF-3.7.dll" v0.0 ts=2016-02-10 21:53
>   95k 2016/02/11 D:\Cygwin64\bin\cygLLVMDebugInfoPDB-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMDebugInfoPDB-3.7.dll" v0.0 ts=2016-02-10 21:53
>  113k 2016/02/11 D:\Cygwin64\bin\cygLLVMExecutionEngine-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMExecutionEngine-3.7.dll" v0.0 ts=2016-02-10 21:53
>  765k 2016/02/11 D:\Cygwin64\bin\cygLLVMHexagonCodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMHexagonCodeGen-3.7.dll" v0.0 ts=2016-02-10 21:55
>  379k 2016/02/11 D:\Cygwin64\bin\cygLLVMHexagonDesc-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMHexagonDesc-3.7.dll" v0.0 ts=2016-02-10 21:53
>   67k 2016/02/11 D:\Cygwin64\bin\cygLLVMHexagonDisassembler-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMHexagonDisassembler-3.7.dll" v0.0 ts=2016-02-10 21:53
>    9k 2016/02/11 D:\Cygwin64\bin\cygLLVMHexagonInfo-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMHexagonInfo-3.7.dll" v0.0 ts=2016-02-10 21:52
>  750k 2016/02/11 D:\Cygwin64\bin\cygLLVMInstCombine-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMInstCombine-3.7.dll" v0.0 ts=2016-02-10 21:53
>  388k 2016/02/11 D:\Cygwin64\bin\cygLLVMInstrumentation-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMInstrumentation-3.7.dll" v0.0 ts=2016-02-10 21:53
>  136k 2016/02/11 D:\Cygwin64\bin\cygLLVMInterpreter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMInterpreter-3.7.dll" v0.0 ts=2016-02-10 21:55
>  141k 2016/02/11 D:\Cygwin64\bin\cygLLVMipa-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMipa-3.7.dll" v0.0 ts=2016-02-10 21:53
>  405k 2016/02/11 D:\Cygwin64\bin\cygLLVMipo-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMipo-3.7.dll" v0.0 ts=2016-02-10 21:54
>   18k 2016/02/11 D:\Cygwin64\bin\cygLLVMIRReader-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMIRReader-3.7.dll" v0.0 ts=2016-02-10 21:53
>   19k 2016/02/11 D:\Cygwin64\bin\cygLLVMLibDriver-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMLibDriver-3.7.dll" v0.0 ts=2016-02-10 21:53
>   16k 2016/02/11 D:\Cygwin64\bin\cygLLVMLineEditor-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMLineEditor-3.7.dll" v0.0 ts=2016-02-10 21:52
>   82k 2016/02/11 D:\Cygwin64\bin\cygLLVMLinker-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMLinker-3.7.dll" v0.0 ts=2016-02-10 21:53
>   62k 2016/02/11 D:\Cygwin64\bin\cygLLVMLTO-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMLTO-3.7.dll" v0.0 ts=2016-02-10 21:55
>  447k 2016/02/11 D:\Cygwin64\bin\cygLLVMMC-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMC-3.7.dll" v0.0 ts=2016-02-10 21:52
>   23k 2016/02/11 D:\Cygwin64\bin\cygLLVMMCDisassembler-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMCDisassembler-3.7.dll" v0.0 ts=2016-02-10 21:52
>   39k 2016/02/11 D:\Cygwin64\bin\cygLLVMMCJIT-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMCJIT-3.7.dll" v0.0 ts=2016-02-10 21:53
>  171k 2016/02/11 D:\Cygwin64\bin\cygLLVMMCParser-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMCParser-3.7.dll" v0.0 ts=2016-02-10 21:52
>  157k 2016/02/11 D:\Cygwin64\bin\cygLLVMMipsAsmParser-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMipsAsmParser-3.7.dll" v0.0 ts=2016-02-10 21:53
>   49k 2016/02/11 D:\Cygwin64\bin\cygLLVMMipsAsmPrinter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMipsAsmPrinter-3.7.dll" v0.0 ts=2016-02-10 21:52
>  909k 2016/02/11 D:\Cygwin64\bin\cygLLVMMipsCodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMipsCodeGen-3.7.dll" v0.0 ts=2016-02-10 21:55
>  334k 2016/02/11 D:\Cygwin64\bin\cygLLVMMipsDesc-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMipsDesc-3.7.dll" v0.0 ts=2016-02-10 21:53
>   74k 2016/02/11 D:\Cygwin64\bin\cygLLVMMipsDisassembler-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMipsDisassembler-3.7.dll" v0.0 ts=2016-02-10 21:53
>   10k 2016/02/11 D:\Cygwin64\bin\cygLLVMMipsInfo-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMipsInfo-3.7.dll" v0.0 ts=2016-02-10 21:52
>   85k 2016/02/11 D:\Cygwin64\bin\cygLLVMMIRParser-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMIRParser-3.7.dll" v0.0 ts=2016-02-10 21:55
>   15k 2016/02/11 D:\Cygwin64\bin\cygLLVMMSP430AsmPrinter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMSP430AsmPrinter-3.7.dll" v0.0 ts=2016-02-10 21:52
>  178k 2016/02/11 D:\Cygwin64\bin\cygLLVMMSP430CodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMSP430CodeGen-3.7.dll" v0.0 ts=2016-02-10 21:55
>   31k 2016/02/11 D:\Cygwin64\bin\cygLLVMMSP430Desc-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMSP430Desc-3.7.dll" v0.0 ts=2016-02-10 21:53
>    9k 2016/02/11 D:\Cygwin64\bin\cygLLVMMSP430Info-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMMSP430Info-3.7.dll" v0.0 ts=2016-02-10 21:52
>   92k 2016/02/11 D:\Cygwin64\bin\cygLLVMNVPTXAsmPrinter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMNVPTXAsmPrinter-3.7.dll" v0.0 ts=2016-02-10 21:52
>  596k 2016/02/11 D:\Cygwin64\bin\cygLLVMNVPTXCodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMNVPTXCodeGen-3.7.dll" v0.0 ts=2016-02-10 21:55
>  241k 2016/02/11 D:\Cygwin64\bin\cygLLVMNVPTXDesc-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMNVPTXDesc-3.7.dll" v0.0 ts=2016-02-10 21:53
>    9k 2016/02/11 D:\Cygwin64\bin\cygLLVMNVPTXInfo-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMNVPTXInfo-3.7.dll" v0.0 ts=2016-02-10 21:52
>  139k 2016/02/11 D:\Cygwin64\bin\cygLLVMObjCARCOpts-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMObjCARCOpts-3.7.dll" v0.0 ts=2016-02-10 21:53
>  412k 2016/02/11 D:\Cygwin64\bin\cygLLVMObject-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMObject-3.7.dll" v0.0 ts=2016-02-10 21:53
>   46k 2016/02/11 D:\Cygwin64\bin\cygLLVMOption-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMOption-3.7.dll" v0.0 ts=2016-02-10 21:52
>  106k 2016/02/11 D:\Cygwin64\bin\cygLLVMOrcJIT-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMOrcJIT-3.7.dll" v0.0 ts=2016-02-10 21:53
>  137k 2016/02/11 D:\Cygwin64\bin\cygLLVMPasses-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMPasses-3.7.dll" v0.0 ts=2016-02-10 21:54
>  105k 2016/02/11 D:\Cygwin64\bin\cygLLVMPowerPCAsmParser-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMPowerPCAsmParser-3.7.dll" v0.0 ts=2016-02-10 21:53
>   95k 2016/02/11 D:\Cygwin64\bin\cygLLVMPowerPCAsmPrinter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMPowerPCAsmPrinter-3.7.dll" v0.0 ts=2016-02-10 21:53
> 1057k 2016/02/11 D:\Cygwin64\bin\cygLLVMPowerPCCodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMPowerPCCodeGen-3.7.dll" v0.0 ts=2016-02-10 21:55
>  283k 2016/02/11 D:\Cygwin64\bin\cygLLVMPowerPCDesc-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMPowerPCDesc-3.7.dll" v0.0 ts=2016-02-10 21:53
>   60k 2016/02/11 D:\Cygwin64\bin\cygLLVMPowerPCDisassembler-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMPowerPCDisassembler-3.7.dll" v0.0 ts=2016-02-10 21:53
>   10k 2016/02/11 D:\Cygwin64\bin\cygLLVMPowerPCInfo-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMPowerPCInfo-3.7.dll" v0.0 ts=2016-02-10 21:53
>  153k 2016/02/11 D:\Cygwin64\bin\cygLLVMProfileData-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMProfileData-3.7.dll" v0.0 ts=2016-02-10 21:53
>  267k 2016/02/11 D:\Cygwin64\bin\cygLLVMRuntimeDyld-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMRuntimeDyld-3.7.dll" v0.0 ts=2016-02-10 21:53
> 1418k 2016/02/11 D:\Cygwin64\bin\cygLLVMScalarOpts-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMScalarOpts-3.7.dll" v0.0 ts=2016-02-10 21:54
> 2272k 2016/02/11 D:\Cygwin64\bin\cygLLVMSelectionDAG-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSelectionDAG-3.7.dll" v0.0 ts=2016-02-10 21:55
>   62k 2016/02/11 D:\Cygwin64\bin\cygLLVMSparcAsmParser-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSparcAsmParser-3.7.dll" v0.0 ts=2016-02-10 21:53
>   62k 2016/02/11 D:\Cygwin64\bin\cygLLVMSparcAsmPrinter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSparcAsmPrinter-3.7.dll" v0.0 ts=2016-02-10 21:53
>  273k 2016/02/11 D:\Cygwin64\bin\cygLLVMSparcCodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSparcCodeGen-3.7.dll" v0.0 ts=2016-02-10 21:55
>  103k 2016/02/11 D:\Cygwin64\bin\cygLLVMSparcDesc-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSparcDesc-3.7.dll" v0.0 ts=2016-02-10 21:53
>   25k 2016/02/11 D:\Cygwin64\bin\cygLLVMSparcDisassembler-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSparcDisassembler-3.7.dll" v0.0 ts=2016-02-10 21:53
>   10k 2016/02/11 D:\Cygwin64\bin\cygLLVMSparcInfo-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSparcInfo-3.7.dll" v0.0 ts=2016-02-10 21:53
>  725k 2016/02/11 D:\Cygwin64\bin\cygLLVMSupport-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSupport-3.7.dll" v0.0 ts=2016-02-10 21:52
>   66k 2016/02/11 D:\Cygwin64\bin\cygLLVMSystemZAsmParser-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSystemZAsmParser-3.7.dll" v0.0 ts=2016-02-10 21:53
>   32k 2016/02/11 D:\Cygwin64\bin\cygLLVMSystemZAsmPrinter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSystemZAsmPrinter-3.7.dll" v0.0 ts=2016-02-10 21:53
>  533k 2016/02/11 D:\Cygwin64\bin\cygLLVMSystemZCodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSystemZCodeGen-3.7.dll" v0.0 ts=2016-02-10 21:55
>  170k 2016/02/11 D:\Cygwin64\bin\cygLLVMSystemZDesc-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSystemZDesc-3.7.dll" v0.0 ts=2016-02-10 21:53
>   51k 2016/02/11 D:\Cygwin64\bin\cygLLVMSystemZDisassembler-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSystemZDisassembler-3.7.dll" v0.0 ts=2016-02-10 21:53
>    9k 2016/02/11 D:\Cygwin64\bin\cygLLVMSystemZInfo-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMSystemZInfo-3.7.dll" v0.0 ts=2016-02-10 21:53
>  233k 2016/02/11 D:\Cygwin64\bin\cygLLVMTableGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMTableGen-3.7.dll" v0.0 ts=2016-02-10 21:52
>   49k 2016/02/11 D:\Cygwin64\bin\cygLLVMTarget-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMTarget-3.7.dll" v0.0 ts=2016-02-10 21:53
>  794k 2016/02/11 D:\Cygwin64\bin\cygLLVMTransformUtils-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMTransformUtils-3.7.dll" v0.0 ts=2016-02-10 21:53
>  332k 2016/02/11 D:\Cygwin64\bin\cygLLVMVectorize-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMVectorize-3.7.dll" v0.0 ts=2016-02-10 21:53
>  584k 2016/02/11 D:\Cygwin64\bin\cygLLVMX86AsmParser-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMX86AsmParser-3.7.dll" v0.0 ts=2016-02-10 21:56
>  271k 2016/02/11 D:\Cygwin64\bin\cygLLVMX86AsmPrinter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMX86AsmPrinter-3.7.dll" v0.0 ts=2016-02-10 21:53
> 2050k 2016/02/11 D:\Cygwin64\bin\cygLLVMX86CodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMX86CodeGen-3.7.dll" v0.0 ts=2016-02-10 21:55
> 1377k 2016/02/11 D:\Cygwin64\bin\cygLLVMX86Desc-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMX86Desc-3.7.dll" v0.0 ts=2016-02-10 21:53
> 1408k 2016/02/11 D:\Cygwin64\bin\cygLLVMX86Disassembler-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMX86Disassembler-3.7.dll" v0.0 ts=2016-02-10 21:53
>    9k 2016/02/11 D:\Cygwin64\bin\cygLLVMX86Info-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMX86Info-3.7.dll" v0.0 ts=2016-02-10 21:53
>   33k 2016/02/11 D:\Cygwin64\bin\cygLLVMX86Utils-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMX86Utils-3.7.dll" v0.0 ts=2016-02-10 21:53
>   17k 2016/02/11 D:\Cygwin64\bin\cygLLVMXCoreAsmPrinter-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMXCoreAsmPrinter-3.7.dll" v0.0 ts=2016-02-10 21:53
>  322k 2016/02/11 D:\Cygwin64\bin\cygLLVMXCoreCodeGen-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMXCoreCodeGen-3.7.dll" v0.0 ts=2016-02-10 21:56
>   40k 2016/02/11 D:\Cygwin64\bin\cygLLVMXCoreDesc-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMXCoreDesc-3.7.dll" v0.0 ts=2016-02-10 21:53
>   22k 2016/02/11 D:\Cygwin64\bin\cygLLVMXCoreDisassembler-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMXCoreDisassembler-3.7.dll" v0.0 ts=2016-02-10 21:53
>    9k 2016/02/11 D:\Cygwin64\bin\cygLLVMXCoreInfo-3.7.dll - os=4.0 img=3.7 sys=5.2
>                  "cygLLVMXCoreInfo-3.7.dll" v0.0 ts=2016-02-10 21:53
>    6k 2017/04/01 D:\Cygwin64\bin\cyglsa64.dll - os=4.0 img=0.0 sys=5.2
>                  "cyglsa64.dll" v0.0 ts=2017-04-01 19:47
>   35k 2016/06/28 D:\Cygwin64\bin\cygltdl-7.dll - os=4.0 img=0.0 sys=5.2
>                  "cygltdl-7.dll" v0.0 ts=2016-06-28 18:41
>  146k 2015/08/23 D:\Cygwin64\bin\cyglua-5.1.dll - os=4.0 img=0.0 sys=5.2
>                  "cyglua-5.1.dll" v0.0 ts=2015-08-23 17:43
>  162k 2015/06/04 D:\Cygwin64\bin\cyglua-5.2.dll - os=4.0 img=0.0 sys=5.2
>                  "cyglua-5.2.dll" v0.0 ts=2015-06-04 17:31
>  243k 2016/11/07 D:\Cygwin64\bin\cyglxqt-0.dll - os=4.0 img=0.11 sys=5.2
>                  "cyglxqt-0.dll" v0.0 ts=2016-11-07 16:07
>   41k 2015/10/26 D:\Cygwin64\bin\cyglz4-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cyglz4-1.dll" v0.0 ts=2015-10-26 18:55
>  139k 2017/05/10 D:\Cygwin64\bin\cyglzma-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cyglzma-5.dll" v0.0 ts=2017-05-10 01:17
>  126k 2014/11/17 D:\Cygwin64\bin\cyglzo2-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cyglzo2-2.dll" v0.0 ts=2014-11-17 11:24
>  121k 2017/05/03 D:\Cygwin64\bin\cygmagic-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygmagic-1.dll" v0.0 ts=2017-05-03 18:25
>  169k 2016/10/10 D:\Cygwin64\bin\cygman-2-7-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygman-2-7-5.dll" v0.0 ts=2016-10-10 22:07
>   22k 2016/10/10 D:\Cygwin64\bin\cygmandb-2-7-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygmandb-2-7-5.dll" v0.0 ts=2016-10-10 22:07
>   29k 2017/03/29 D:\Cygwin64\bin\cygmenuw-10.dll - os=4.0 img=0.0 sys=5.2
>                  "cygmenuw-10.dll" v0.0 ts=2017-03-29 23:26
>   89k 2015/03/01 D:\Cygwin64\bin\cygmpc-3.dll - os=4.0 img=0.0 sys=5.2
>                  "cygmpc-3.dll" v0.0 ts=2015-03-01 20:24
>  346k 2017/04/08 D:\Cygwin64\bin\cygmpfr-4.dll - os=4.0 img=0.0 sys=5.2
>                  "cygmpfr-4.dll" v0.0 ts=2017-04-08 12:19
> 3492k 2016/11/10 D:\Cygwin64\bin\cygmysqlclient-18.dll - os=4.0 img=18.0 sys=5.2
>                  "cygmysqlclient-18.dll" v0.0 ts=2016-11-10 08:59
>   53k 2017/03/29 D:\Cygwin64\bin\cygncurses++w-10.dll - os=4.0 img=0.0 sys=5.2
>                  "cygncurses++w-10.dll" v0.0 ts=2017-03-29 23:31
>  282k 2017/03/29 D:\Cygwin64\bin\cygncursesw-10.dll - os=4.0 img=0.0 sys=5.2
>                  "cygncursesw-10.dll" v0.0 ts=2017-03-29 23:25
>  131k 2014/11/14 D:\Cygwin64\bin\cygneon-27.dll - os=4.0 img=0.0 sys=5.2
>                  "cygneon-27.dll" v0.0 ts=2014-11-14 13:02
>  180k 2016/03/13 D:\Cygwin64\bin\cygnettle-4.dll - os=4.0 img=0.0 sys=5.2
>                  "cygnettle-4.dll" v0.0 ts=2016-03-13 14:46
>  203k 2017/05/02 D:\Cygwin64\bin\cygnettle-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygnettle-6.dll" v0.0 ts=2017-05-02 04:18
>  137k 2017/03/13 D:\Cygwin64\bin\cygnghttp2-14.dll - os=4.0 img=0.0 sys=5.2
>                  "cygnghttp2-14.dll" v0.0 ts=2017-03-13 19:40
>   90k 2016/06/13 D:\Cygwin64\bin\cygobjc-4.dll - os=4.0 img=0.0 sys=5.2
>                  "cygobjc-4.dll" v0.0 ts=2016-06-13 17:11
> 1003k 2017/04/28 D:\Cygwin64\bin\cygp11-kit-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygp11-kit-0.dll" v0.0 ts=2017-04-28 05:23
>   14k 2017/03/29 D:\Cygwin64\bin\cygpanelw-10.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpanelw-10.dll" v0.0 ts=2017-03-29 23:25
>  260k 2017/05/08 D:\Cygwin64\bin\cygpango-1.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpango-1.0-0.dll" v0.0 ts=2017-05-08 05:23
>   43k 2017/05/08 D:\Cygwin64\bin\cygpangocairo-1.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpangocairo-1.0-0.dll" v0.0 ts=2017-05-08 05:23
>   70k 2017/05/08 D:\Cygwin64\bin\cygpangoft2-1.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpangoft2-1.0-0.dll" v0.0 ts=2017-05-08 05:23
>   28k 2017/05/08 D:\Cygwin64\bin\cygpangoxft-1.0-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpangoxft-1.0-0.dll" v0.0 ts=2017-05-08 05:23
>  475k 2017/04/23 D:\Cygwin64\bin\cygpcre-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpcre-1.dll" v0.0 ts=2017-04-24 00:50
>  441k 2017/04/23 D:\Cygwin64\bin\cygpcre16-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpcre16-0.dll" v0.0 ts=2017-04-24 00:50
>  428k 2017/04/23 D:\Cygwin64\bin\cygpcre32-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpcre32-0.dll" v0.0 ts=2017-04-24 00:50
>   31k 2017/04/23 D:\Cygwin64\bin\cygpcrecpp-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpcrecpp-0.dll" v0.0 ts=2017-04-24 00:50
>   11k 2017/04/23 D:\Cygwin64\bin\cygpcreposix-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpcreposix-0.dll" v0.0 ts=2017-04-24 00:50
> 2020k 2017/01/15 D:\Cygwin64\bin\cygperl5_22.dll - os=4.0 img=0.0 sys=5.2
>                  "cygperl5_22.dll" v0.0 ts=2017-01-15 12:12
>   39k 2015/04/09 D:\Cygwin64\bin\cygpipeline-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpipeline-1.dll" v0.0 ts=2015-04-09 21:04
>  638k 2016/08/08 D:\Cygwin64\bin\cygpixman-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpixman-1-0.dll" v0.0 ts=2016-08-08 02:51
> 1159k 2016/04/19 D:\Cygwin64\bin\cygplot-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygplot-2.dll" v0.0 ts=2016-04-18 09:24
>  179k 2017/01/17 D:\Cygwin64\bin\cygpng16-16.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpng16-16.dll" v0.0 ts=2017-01-17 19:28
>   41k 2016/07/13 D:\Cygwin64\bin\cygpopt-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpopt-0.dll" v0.0 ts=2016-07-13 06:16
>  152k 2017/02/10 D:\Cygwin64\bin\cygpq-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpq-5.dll" v0.0 ts=2017-02-10 21:29
>  119k 2017/03/14 D:\Cygwin64\bin\cygproxy-1.dll - os=4.0 img=1.0 sys=5.2
>                  "cygproxy-1.dll" v0.0 ts=2017-03-14 16:49
>   52k 2017/01/17 D:\Cygwin64\bin\cygpsl-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygpsl-5.dll" v0.0 ts=2017-01-17 17:10
>   22k 2016/10/31 D:\Cygwin64\bin\cygQt5Concurrent-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygQt5Concurrent-5.dll" v0.0 ts=2016-10-28 21:03
> 4046k 2016/10/31 D:\Cygwin64\bin\cygQt5Core-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygQt5Core-5.dll" v0.0 ts=2016-10-28 21:02
>  486k 2016/10/31 D:\Cygwin64\bin\cygQt5DBus-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygQt5DBus-5.dll" v0.0 ts=2016-10-28 21:05
> 4363k 2016/10/31 D:\Cygwin64\bin\cygQt5Gui-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygQt5Gui-5.dll" v0.0 ts=2016-10-30 22:19
> 1300k 2016/10/31 D:\Cygwin64\bin\cygQt5Network-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygQt5Network-5.dll" v0.0 ts=2016-10-28 21:43
>  287k 2016/10/31 D:\Cygwin64\bin\cygQt5OpenGL-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygQt5OpenGL-5.dll" v0.0 ts=2016-10-28 22:13
>  335k 2016/10/31 D:\Cygwin64\bin\cygQt5PrintSupport-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygQt5PrintSupport-5.dll" v0.0 ts=2016-10-28 22:12
>  151k 2016/10/31 D:\Cygwin64\bin\cygQt5Test-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygQt5Test-5.dll" v0.0 ts=2016-10-28 22:12
> 5552k 2016/10/31 D:\Cygwin64\bin\cygQt5Widgets-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygQt5Widgets-5.dll" v0.0 ts=2016-10-28 22:11
>   13k 2016/10/30 D:\Cygwin64\bin\cygQt5X11Extras-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygQt5X11Extras-5.dll" v0.0 ts=2016-10-30 18:12
>  866k 2016/10/31 D:\Cygwin64\bin\cygQt5XcbQpa-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygQt5XcbQpa-5.dll" v0.0 ts=2016-10-28 22:42
>  229k 2016/11/07 D:\Cygwin64\bin\cygQt5Xdg-2.dll - os=4.0 img=2.0 sys=5.2
>                  "cygQt5Xdg-2.dll" v0.0 ts=2016-11-07 00:19
>   50k 2016/11/07 D:\Cygwin64\bin\cygQt5XdgIconLoader-2.dll - os=4.0 img=2.0 sys=5.2
>                  "cygQt5XdgIconLoader-2.dll" v0.0 ts=2016-11-07 00:19
>  190k 2016/10/31 D:\Cygwin64\bin\cygQt5Xml-5.dll - os=4.0 img=0.0 sys=5.2
>                  "cygQt5Xml-5.dll" v0.0 ts=2016-10-28 21:03
>  308k 2016/06/13 D:\Cygwin64\bin\cygquadmath-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygquadmath-0.dll" v0.0 ts=2016-06-13 17:17
>  219k 2017/02/13 D:\Cygwin64\bin\cygreadline7.dll - os=4.0 img=0.0 sys=5.2
>                  "cygreadline7.dll" v0.0 ts=2017-02-11 22:39
> 2293k 2017/03/19 D:\Cygwin64\bin\cygruby230.dll - os=4.0 img=0.0 sys=5.2
>                  "cygruby230.dll" v2.3 ts=2017-03-19 18:03
>   96k 2017/04/16 D:\Cygwin64\bin\cygsasl2-3.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsasl2-3.dll" v0.0 ts=2017-04-16 19:15
>   85k 2016/12/10 D:\Cygwin64\bin\cygserf-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygserf-1-0.dll" v0.0 ts=2016-12-10 21:55
>   11k 2015/07/17 D:\Cygwin64\bin\cygsigsegv-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsigsegv-2.dll" v0.0 ts=2015-07-17 22:35
>   28k 2014/01/14 D:\Cygwin64\bin\cygSM-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygSM-6.dll" v0.0 ts=2014-01-14 23:23
>   89k 2015/03/23 D:\Cygwin64\bin\cygsmartcols-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsmartcols-1.dll" v0.0 ts=2015-03-23 09:46
>  973k 2017/04/19 D:\Cygwin64\bin\cygsqlite3-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsqlite3-0.dll" v0.0 ts=2017-04-19 17:46
>  397k 2016/03/02 D:\Cygwin64\bin\cygssh-4.dll - os=4.0 img=4.4 sys=5.2
>                  "cygssh-4.dll" v0.0 ts=2016-03-02 18:40
>  156k 2016/03/02 D:\Cygwin64\bin\cygssh2-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygssh2-1.dll" v0.0 ts=2016-03-02 18:03
>    9k 2016/03/02 D:\Cygwin64\bin\cygssh_threads-4.dll - os=4.0 img=4.4 sys=5.2
>                  "cygssh_threads-4.dll" v0.0 ts=2016-03-02 18:40
>  399k 2017/01/26 D:\Cygwin64\bin\cygssl-1.0.0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygssl-1.0.0.dll" v0.0 ts=2017-01-26 20:10
>   12k 2016/06/13 D:\Cygwin64\bin\cygssp-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygssp-0.dll" v0.0 ts=2016-06-13 17:10
> 1325k 2016/06/13 D:\Cygwin64\bin\cygstdc++-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygstdc++-6.dll" v0.0 ts=2016-06-13 16:38
>  386k 2017/04/20 D:\Cygwin64\bin\cygsvn_client-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_client-1-0.dll" v0.0 ts=2017-04-20 18:34
>   61k 2017/04/20 D:\Cygwin64\bin\cygsvn_delta-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_delta-1-0.dll" v0.0 ts=2017-04-20 18:30
>   75k 2017/04/20 D:\Cygwin64\bin\cygsvn_diff-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_diff-1-0.dll" v0.0 ts=2017-04-20 18:30
>   36k 2017/04/20 D:\Cygwin64\bin\cygsvn_fs-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_fs-1-0.dll" v0.0 ts=2017-04-20 18:31
>  154k 2017/04/20 D:\Cygwin64\bin\cygsvn_fs_base-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_fs_base-1-0.dll" v0.0 ts=2017-04-20 18:30
>  261k 2017/04/20 D:\Cygwin64\bin\cygsvn_fs_fs-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_fs_fs-1-0.dll" v0.0 ts=2017-04-20 18:30
>   12k 2017/04/20 D:\Cygwin64\bin\cygsvn_fs_util-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_fs_util-1-0.dll" v0.0 ts=2017-04-20 18:30
>  271k 2017/04/20 D:\Cygwin64\bin\cygsvn_fs_x-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_fs_x-1-0.dll" v0.0 ts=2017-04-20 18:30
>   44k 2017/04/20 D:\Cygwin64\bin\cygsvn_ra-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_ra-1-0.dll" v0.0 ts=2017-04-20 18:33
>   31k 2017/04/20 D:\Cygwin64\bin\cygsvn_ra_local-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_ra_local-1-0.dll" v0.0 ts=2017-04-20 18:32
>  168k 2017/04/20 D:\Cygwin64\bin\cygsvn_ra_serf-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_ra_serf-1-0.dll" v0.0 ts=2017-04-20 18:30
>   99k 2017/04/20 D:\Cygwin64\bin\cygsvn_ra_svn-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_ra_svn-1-0.dll" v0.0 ts=2017-04-20 18:30
>  191k 2017/04/20 D:\Cygwin64\bin\cygsvn_repos-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_repos-1-0.dll" v0.0 ts=2017-04-20 18:31
>  943k 2017/04/20 D:\Cygwin64\bin\cygsvn_subr-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_subr-1-0.dll" v0.0 ts=2017-04-20 18:29
>   40k 2017/04/20 D:\Cygwin64\bin\cygsvn_swig_perl-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_swig_perl-1-0.dll" v0.0 ts=2017-04-20 18:38
>  647k 2017/04/20 D:\Cygwin64\bin\cygsvn_wc-1-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygsvn_wc-1-0.dll" v0.0 ts=2017-04-20 18:30
>   66k 2017/05/29 D:\Cygwin64\bin\cygtasn1-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygtasn1-6.dll" v0.0 ts=2017-05-29 23:32
>   34k 2017/03/05 D:\Cygwin64\bin\cygthai-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygthai-0.dll" v0.0 ts=2017-03-05 04:36
>   53k 2017/03/29 D:\Cygwin64\bin\cygticw-10.dll - os=4.0 img=0.0 sys=5.2
>                  "cygticw-10.dll" v0.0 ts=2017-03-29 23:25
>  420k 2015/10/28 D:\Cygwin64\bin\cygtiff-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygtiff-6.dll" v0.0 ts=2015-10-28 21:37
>   11k 2015/10/28 D:\Cygwin64\bin\cygtiffxx-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygtiffxx-6.dll" v0.0 ts=2015-10-28 21:37
>  218k 2016/05/10 D:\Cygwin64\bin\cygtxc_dxtn.dll - os=4.0 img=0.0 sys=5.2
>                  "cygtxc_dxtn.dll" v0.0 ts=2016-05-10 06:31
> 1538k 2015/10/16 D:\Cygwin64\bin\cygunistring-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygunistring-2.dll" v0.0 ts=2015-10-16 21:40
>   15k 2015/03/23 D:\Cygwin64\bin\cyguuid-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cyguuid-1.dll" v0.0 ts=2015-03-23 09:46
>  578k 2015/08/04 D:\Cygwin64\bin\cygvte-9.dll - os=4.0 img=0.0 sys=5.2
>                  "cygvte-9.dll" v0.0 ts=2015-08-03 22:16
>    8k 2016/06/13 D:\Cygwin64\bin\cygvtv-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygvtv-0.dll" v0.0 ts=2016-06-13 17:12
>    8k 2016/06/13 D:\Cygwin64\bin\cygvtv_stubs-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygvtv_stubs-0.dll" v0.0 ts=2016-06-13 17:12
> 1128k 2016/10/09 D:\Cygwin64\bin\cygX11-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygX11-6.dll" v0.0 ts=2016-10-09 17:45
>    9k 2016/10/09 D:\Cygwin64\bin\cygX11-xcb-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygX11-xcb-1.dll" v0.0 ts=2016-10-09 17:45
>   12k 2013/06/06 D:\Cygwin64\bin\cygXau-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXau-6.dll" v0.0 ts=2013-06-06 06:23
>  375k 2016/01/29 D:\Cygwin64\bin\cygXaw-7.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXaw-7.dll" v0.0 ts=2016-01-29 20:32
>  121k 2016/08/09 D:\Cygwin64\bin\cygxcb-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-1.dll" v0.0 ts=2016-08-09 21:45
>   76k 2016/08/09 D:\Cygwin64\bin\cygxcb-glx-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-glx-0.dll" v0.0 ts=2016-08-09 21:45
>   17k 2014/08/10 D:\Cygwin64\bin\cygxcb-icccm-4.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-icccm-4.dll" v0.0 ts=1970-01-01 00:00
>   16k 2013/03/17 D:\Cygwin64\bin\cygxcb-image-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-image-0.dll" v0.0 ts=2013-03-17 22:42
>   11k 2013/08/01 D:\Cygwin64\bin\cygxcb-keysyms-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-keysyms-1.dll" v0.0 ts=2013-08-01 08:15
>   46k 2016/08/09 D:\Cygwin64\bin\cygxcb-randr-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-randr-0.dll" v0.0 ts=2016-08-09 21:45
>   41k 2016/08/09 D:\Cygwin64\bin\cygxcb-render-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-render-0.dll" v0.0 ts=2016-08-09 21:45
>   14k 2014/08/10 D:\Cygwin64\bin\cygxcb-render-util-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-render-util-0.dll" v0.0 ts=1970-01-01 00:00
>   13k 2016/08/09 D:\Cygwin64\bin\cygxcb-shape-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-shape-0.dll" v0.0 ts=2016-08-09 21:45
>   12k 2016/08/09 D:\Cygwin64\bin\cygxcb-shm-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-shm-0.dll" v0.0 ts=2016-08-09 21:45
>   21k 2016/08/09 D:\Cygwin64\bin\cygxcb-sync-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-sync-1.dll" v0.0 ts=2016-08-09 21:45
>   17k 2013/03/17 D:\Cygwin64\bin\cygxcb-util-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-util-1.dll" v0.0 ts=2013-03-17 22:33
>   25k 2016/08/09 D:\Cygwin64\bin\cygxcb-xfixes-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-xfixes-0.dll" v0.0 ts=2016-08-09 21:45
>   11k 2016/08/09 D:\Cygwin64\bin\cygxcb-xinerama-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-xinerama-0.dll" v0.0 ts=2016-08-09 21:45
>   88k 2016/08/09 D:\Cygwin64\bin\cygxcb-xkb-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxcb-xkb-1.dll" v0.0 ts=2016-08-09 21:45
>   11k 2013/03/18 D:\Cygwin64\bin\cygXcomposite-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXcomposite-1.dll" v0.0 ts=2013-03-18 23:05
>   34k 2013/06/06 D:\Cygwin64\bin\cygXcursor-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXcursor-1.dll" v0.0 ts=2013-06-06 21:15
>   10k 2013/04/08 D:\Cygwin64\bin\cygXdamage-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXdamage-1.dll" v0.0 ts=2013-04-08 22:24
>   21k 2015/03/26 D:\Cygwin64\bin\cygXdmcp-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXdmcp-6.dll" v0.0 ts=2015-03-26 15:38
>   56k 2014/08/10 D:\Cygwin64\bin\cygXext-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXext-6.dll" v0.0 ts=1970-01-01 00:00
>   20k 2016/10/09 D:\Cygwin64\bin\cygXfixes-3.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXfixes-3.dll" v0.0 ts=2016-10-09 18:37
>   73k 2014/08/10 D:\Cygwin64\bin\cygXft-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXft-2.dll" v0.0 ts=1970-01-01 00:00
>   58k 2016/10/26 D:\Cygwin64\bin\cygXi-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXi-6.dll" v0.0 ts=2016-10-26 02:38
>   10k 2013/06/06 D:\Cygwin64\bin\cygXinerama-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXinerama-1.dll" v0.0 ts=2013-06-06 21:33
>  234k 2016/11/07 D:\Cygwin64\bin\cygxkbcommon-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxkbcommon-0.dll" v0.0 ts=2016-11-07 02:53
>   27k 2016/11/07 D:\Cygwin64\bin\cygxkbcommon-x11-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxkbcommon-x11-0.dll" v0.0 ts=2016-11-07 02:53
> 1214k 2017/03/13 D:\Cygwin64\bin\cygxml2-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygxml2-2.dll" v0.0 ts=2017-03-13 17:01
>   85k 2014/01/15 D:\Cygwin64\bin\cygXmu-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXmu-6.dll" v0.0 ts=2014-01-15 02:27
>   61k 2017/01/18 D:\Cygwin64\bin\cygXpm-4.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXpm-4.dll" v0.0 ts=2017-01-18 17:27
>   36k 2016/10/09 D:\Cygwin64\bin\cygXrandr-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXrandr-2.dll" v0.0 ts=2016-10-09 18:45
>   36k 2016/01/29 D:\Cygwin64\bin\cygXrender-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXrender-1.dll" v0.0 ts=2016-01-29 20:24
>   12k 2013/03/14 D:\Cygwin64\bin\cygXss-1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXss-1.dll" v0.0 ts=2013-03-14 04:07
>  326k 2016/01/29 D:\Cygwin64\bin\cygXt-6.dll - os=4.0 img=0.0 sys=5.2
>                  "cygXt-6.dll" v0.0 ts=2016-01-29 20:26
>  121k 2014/12/08 D:\Cygwin64\bin\cygyaml-0-2.dll - os=4.0 img=0.0 sys=5.2
>                  "cygyaml-0-2.dll" v0.0 ts=2014-12-08 18:19
>   83k 2017/03/03 D:\Cygwin64\bin\cygz.dll - os=4.0 img=0.0 sys=5.2
>                  "cygz.dll" v0.0 ts=2017-03-03 21:42
> 3238k 2017/04/01 D:\Cygwin64\bin\cygwin1.dll - os=4.0 img=0.0 sys=5.2
>                  "cygwin1.dll" v0.0 ts=2017-04-01 19:47
>    Cygwin DLL version info:
>        DLL version: 2.8.0
>        DLL epoch: 19
>        DLL old termios: 5
>        DLL malloc env: 28
>        Cygwin conv: 181
>        API major: 0
>        API minor: 309
>        Shared data: 5
>        DLL identifier: cygwin1
>        Mount registry: 3
>        Cygwin registry name: Cygwin
>        Installations name: Installations
>        Cygdrive default prefix: 
>        Build date: 
>        Shared id: cygwin1S5
> 
>  451k 2017/01/10 D:\Cygwin64\lib\lapack\cygblas-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cygblas-0.dll" v0.0 ts=2017-01-10 21:55
> 6771k 2017/01/10 D:\Cygwin64\lib\lapack\cyglapack-0.dll - os=4.0 img=0.0 sys=5.2
>                  "cyglapack-0.dll" v0.0 ts=2017-01-10 21:55
> 
> No Cygwin services found.
> 
> 
> Cygwin Package Information
> Last downloaded files to: d:\Cygwin64
> Last downloaded files from: http://cygwin.mirror.constant.com/ <http://cygwin.mirror.constant.com/>
> 
> Package                                 Version                       Status
> _autorebase                             001005-1                      OK
> Empty package _update-info-dir
> _update-info-dir                        03000-1                       OK
> adwaita-icon-theme                      3.22.0-1                      OK
> algol68g                                2.7-0                         OK
> alternatives                            1.3.30c-10                    OK
> autoconf                                13-1                          OK
> autoconf2.1                             2.13-12                       OK
> autoconf2.5                             2.69-3                        OK
> automake                                9-1                           OK
> automake1.10                            1.10.3-2                      OK
> automake1.11                            1.11.6-2                      OK
> automake1.12                            1.12.6-2                      OK
> automake1.13                            1.13.4-1                      OK
> automake1.14                            1.14.1-2                      OK
> automake1.15                            1.15-1                        OK
> automake1.4                             1.4p6-11                      OK
> automake1.5                             1.5-11                        OK
> automake1.6                             1.6.3-12                      OK
> automake1.7                             1.7.9-11                      OK
> automake1.8                             1.8.5-11                      OK
> automake1.9                             1.9.6-11                      OK
> autossh                                 1.4e-1                        OK
> base-cygwin                             3.8-1                         OK
> base-files                              4.2-4                         OK
> bash                                    4.4.12-3                      OK
> bash-completion                         2.4-1                         OK
> binutils                                2.25-4                        OK
> bzip2                                   1.0.6-3                       OK
> ca-certificates                         2.14-1                        OK
> cmake                                   3.6.2-1                       OK
> cmake-debuginfo                         3.6.2-1                       OK
> cmake-doc                               3.6.2-1                       OK
> cmake-gui                               3.6.2-1                       OK
> colorgcc                                1.3.2-2                       OK
> coreutils                               8.26-2                        OK
> crypt                                   1.4-1                         OK
> csih                                    0.9.9-1                       OK
> cvs                                     1.11.23-2                     OK
> cvsps                                   2.2b1-2                       OK
> cygrunsrv                               1.62-1                        OK
> cygutils                                1.4.15-2                      OK
> cygwin                                  2.8.0-1                       OK
> cygwin-debuginfo                        2.8.0-1                       OK
> cygwin-devel                            2.8.0-1                       OK
> cygwin32                                2.6.0-1                       OK
> cygwin32-binutils                       2.25-1                        OK
> cygwin32-default-manifest               6.4-1                         OK
> cygwin32-gcc-ada                        5.4.0-1                       OK
> cygwin32-gcc-core                       5.4.0-1                       OK
> cygwin32-gcc-debuginfo                  5.4.0-1                       OK
> cygwin32-gcc-fortran                    5.4.0-1                       OK
> cygwin32-gcc-g++                        5.4.0-1                       OK
> cygwin32-gcc-objc                       5.4.0-1                       OK
> cygwin32-gcc-objc++                     5.4.0-1                       OK
> cygwin32-w32api-headers                 4.0.4-1                       OK
> cygwin32-w32api-runtime                 4.0.4-1                       OK
> dash                                    0.5.9.1-1                     OK
> dejavu-fonts                            2.37-1                        OK
> desktop-file-utils                      0.23-1                        OK
> diffutils                               3.5-2                         OK
> dri-drivers                             17.1.2-1                      OK
> editrights                              1.03-1                        OK
> emacs-cmake                             3.6.2-1                       OK
> extra-cmake-modules                     5.27.0-1                      OK
> file                                    5.30-1                        OK
> findutils                               4.6.0-1                       OK
> Empty package font-adobe-dpi75
> font-adobe-dpi75                        7.5-3                         OK
> Empty package font-encodings
> font-encodings                          7.5-3                         OK
> fontconfig                              2.12.1-1                      OK
> gamin                                   0.1.10-15                     OK
> gawk                                    4.1.4-3                       OK
> gcc-ada                                 5.4.0-1                       OK
> gcc-core                                5.4.0-1                       OK
> gcc-debuginfo                           5.4.0-1                       OK
> gcc-fortran                             5.4.0-1                       OK
> gcc-g++                                 5.4.0-1                       OK
> gcc-objc                                5.4.0-1                       OK
> gcc-objc++                              5.4.0-1                       OK
> gcc-tools-epoch1-autoconf               2.59-2                        OK
> gcc-tools-epoch1-automake               1.9.6-2                       OK
> gcc-tools-epoch2-autoconf               2.64-2                        OK
> gcc-tools-epoch2-automake               1.11.6-1                      OK
> gccmakedep                              1.0.3-1                       OK
> geany                                   1.30-1                        OK
> geany-plugins-common                    1.30-1                        OK
> geany-plugins-treebrowser               1.30-1                        OK
> GeoIP-database                          20170121-1                    OK
> getent                                  2.18.90-4                     OK
> girepository-Ggit1.0                    0.24.4-1                      OK
> girepository-GIRepository2.0            1.50.0-1                      OK
> girepository-GLib2.0                    1.50.0-1                      OK
> git                                     2.12.3-1                      OK
> Empty package git-completion
> git-completion                          2.12.3-1                      OK
> git-cvs                                 2.12.3-1                      OK
> git-debuginfo                           2.12.3-1                      OK
> git-email                               2.12.3-1                      OK
> git-gui                                 2.12.3-1                      OK
> git-oodiff                              20100213-1                    OK
> git-review                              1.25.0-1                      OK
> git-svn                                 2.12.3-1                      OK
> gitk                                    2.12.3-1                      OK
> gitweb                                  2.12.3-1                      OK
> grep                                    3.0-2                         OK
> groff                                   1.22.3-1                      OK
> gsettings-desktop-schemas               3.22.0-1                      OK
> gtk-update-icon-cache                   3.22.12-1                     OK
> gzip                                    1.8-1                         OK
> hicolor-icon-theme                      0.15-1                        OK
> hostname                                3.13-1                        OK
> info                                    6.3-1                         OK
> ipc-utils                               1.0-2                         OK
> less                                    487-1                         OK
> libapr1                                 1.5.2-2                       OK
> libaprutil1                             1.5.4-2                       OK
> libarchive13                            3.2.2-2                       OK
> libargp                                 20110921-3                    OK
> libatk1.0_0                             2.22.0-1                      OK
> libatomic1                              5.4.0-1                       OK
> libattr1                                2.4.46-1                      OK
> libblkid1                               2.25.2-2                      OK
> libbz2_1                                1.0.6-3                       OK
> libcairo2                               1.14.8-1                      OK
> libcharset1                             1.14-3                        OK
> libcloog-isl4                           0.18.0-2                      OK
> libcom_err2                             1.42.12-2                     OK
> libcrypt0                               1.4-1                         OK
> libcurl4                                7.54.0-1                      OK
> libdatrie1                              0.2.8-1                       OK
> libdb5.3                                5.3.28-1                      OK
> libdbus1_3                              1.10.18-1                     OK
> libedit0                                20130712-1                    OK
> libEGL1                                 17.1.2-1                      OK
> libexpat1                               2.2.0-0                       OK
> libfam0                                 0.1.10-15                     OK
> libffi-devel                            3.2.1-2                       OK
> libffi6                                 3.2.1-2                       OK
> libfontconfig-common                    2.12.1-1                      OK
> libfontconfig1                          2.12.1-1                      OK
> libfontenc1                             1.1.3-1                       OK
> libfreetype6                            2.6.5-1                       OK
> libgc1                                  7.6.0-1                       OK
> libgcc1                                 5.4.0-1                       OK
> libgdbm4                                1.12-1                        OK
> libgdk_pixbuf2.0_0                      2.36.6-2                      OK
> libGeoIP1                               1.6.9-1                       OK
> libgfortran3                            5.4.0-1                       OK
> libgirepository1.0-devel                1.50.0-1                      OK
> libgirepository1.0_1                    1.50.0-1                      OK
> libgit2-debuginfo                       0.24.6-1                      OK
> libgit2-devel                           0.24.6-1                      OK
> libgit2-glib1.0-debuginfo               0.24.4-1                      OK
> libgit2-glib1.0-devel                   0.24.4-1                      OK
> libgit2-glib1.0-doc                     0.24.4-1                      OK
> libgit2-glib1.0_0                       0.24.4-1                      OK
> libgit2_22                              0.22.2-1                      OK
> libgit2_23                              0.23.4-2                      OK
> libgit2_24                              0.24.6-1                      OK
> libGL1                                  17.1.2-1                      OK
> libglapi0                               17.1.2-1                      OK
> libglib2.0-devel                        2.50.3-1                      OK
> libglib2.0_0                            2.50.3-1                      OK
> libgmp10                                6.1.2-1                       OK
> libgnat5                                5.4.0-1                       OK
> libgomp1                                5.4.0-1                       OK
> libgraphite2_3                          1.3.8-1                       OK
> libgsl0                                 1.16-2                        OK
> libgssapi_krb5_2                        1.14.4-1                      OK
> libgtk2.0_0                             2.24.31-1                     OK
> libguile17                              1.8.8-3                       OK
> libguile2.0_22                          2.0.14-1                      OK
> libharfbuzz0                            1.3.4-1                       OK
> libICE6                                 1.0.9-1                       OK
> libiconv                                1.14-3                        OK
> libiconv-devel                          1.14-3                        OK
> libiconv2                               1.14-3                        OK
> libicu56                                56.1-1                        OK
> libicu57                                57.1-1                        OK
> libicu58                                58.2-1                        OK
> libidn11                                1.33-1                        OK
> libidn2_0                               2.0.1-1                       OK
> libintl-devel                           0.19.8.1-2                    OK
> libintl8                                0.19.8.1-2                    OK
> libiodbc2                               3.52.8-2                      OK
> libisl10                                0.11.1-2                      OK
> libisl13                                0.14.1-1                      OK
> libjasper1                              1.900.22-1                    OK
> libjasper4                              2.0.12-1                      OK
> libjavascriptcoregtk1.0-devel           2.0.4-5                       OK
> libjavascriptcoregtk1.0_0               2.0.4-5                       OK
> libjavascriptcoregtk3.0-devel           2.0.4-5                       OK
> libjavascriptcoregtk3.0_0               2.0.4-5                       OK
> libjbig2                                2.0-14                        OK
> libjpeg8                                1.5.0-1                       OK
> libk5crypto3                            1.14.4-1                      OK
> libKF5WindowSystem5                     5.27.0-1                      OK
> libkrb5_3                               1.14.4-1                      OK
> libkrb5support0                         1.14.4-1                      OK
> liblapack0                              3.7.0-1                       OK
> libllvm3.5                              3.5.2-2                       OK
> libllvm3.7                              3.7.1-1                       OK
> libllvm3.8                              3.8.1-1                       OK
> libllvm3.9                              3.9.1-1                       OK
> libltdl7                                2.4.6-4                       OK
> liblxqt0                                0.11.0-1                      OK
> liblz4_1                                131-1                         OK
> liblzma5                                5.2.3-1                       OK
> liblzo2_2                               2.08-1                        OK
> libmpc3                                 1.0.3-1                       OK
> libmpfr4                                3.1.5-1p2                     OK
> libmysqlclient18                        10.1.19-1                     OK
> libncurses-devel                        6.0-10.20170325               OK
> libncursesw10                           6.0-10.20170325               OK
> libneon27                               0.30.1-1                      OK
> libnettle4                              2.7.1-1                       OK
> libnettle6                              3.3-1                         OK
> libnghttp2_14                           1.14.0-2                      OK
> libobjc4                                5.4.0-1                       OK
> libopenldap2_4_2                        2.4.42-1                      OK
> libopenssl100                           1.0.2k-1                      OK
> libp11-kit0                             0.23.5-1                      OK
> libpango1.0_0                           1.40.5-1                      OK
> libpcre-devel                           8.40-3                        OK
> libpcre1                                8.40-3                        OK
> libpcre16_0                             8.40-3                        OK
> libpcre32_0                             8.40-3                        OK
> libpcrecpp0                             8.40-3                        OK
> libpcreposix0                           8.40-3                        OK
> libpipeline1                            1.4.0-1                       OK
> libpixman1_0                            0.34.0-1                      OK
> libplot2                                2.6-5                         OK
> libpng16                                1.6.28-1                      OK
> libpopt-common                          1.16-2                        OK
> libpopt0                                1.16-2                        OK
> libpq5                                  9.6.2-1                       OK
> libproxy1                               0.4.14-1                      OK
> libpsl5                                 0.17.0-1                      OK
> libQt5Core5                             5.6.2-1                       OK
> libQt5Gui5                              5.6.2-1                       OK
> libQt5X11Extras5                        5.6.2-1                       OK
> libQt5Xdg2                              2.0.0-1                       OK
> libQt5XdgIconLoader2                    2.0.0-1                       OK
> libquadmath0                            5.4.0-1                       OK
> libreadline7                            7.0.3-3                       OK
> libsasl2_3                              2.1.26-11                     OK
> libserf1_0                              1.3.9-1                       OK
> libsigsegv2                             2.10-2                        OK
> libSM6                                  1.2.2-1                       OK
> libsmartcols1                           2.25.2-2                      OK
> libsqlite3_0                            3.18.0-1                      OK
> libssh-common                           0.7.3-1                       OK
> libssh-debuginfo                        0.7.3-1                       OK
> libssh-devel                            0.7.3-1                       OK
> libssh2-debuginfo                       1.7.0-1                       OK
> libssh2-devel                           1.7.0-1                       OK
> libssh2_1                               1.7.0-1                       OK
> libssh4                                 0.7.3-1                       OK
> libssp0                                 5.4.0-1                       OK
> libstdc++6                              5.4.0-1                       OK
> libtasn1_6                              4.12-1                        OK
> libthai0                                0.1.26-1                      OK
> libtiff6                                4.0.6-1                       OK
> libtxc_dxtn                             1.0-1.20151227gitf6ec862      OK
> libunistring2                           0.9.6-1                       OK
> libuuid-devel                           2.25.2-2                      OK
> libuuid1                                2.25.2-2                      OK
> libvte9                                 0.28.2-6                      OK
> libvtv0                                 5.4.0-1                       OK
> libX11-xcb1                             1.6.4-1                       OK
> libX11_6                                1.6.4-1                       OK
> libXau6                                 1.0.8-1                       OK
> libXaw7                                 1.0.13-1                      OK
> libxcb-glx0                             1.12-1                        OK
> libxcb-icccm4                           0.4.1-1                       OK
> libxcb-image0                           0.3.9-1                       OK
> libxcb-keysyms1                         0.3.9-1                       OK
> libxcb-randr0                           1.12-1                        OK
> libxcb-render-util0                     0.3.9-1                       OK
> libxcb-render0                          1.12-1                        OK
> libxcb-shape0                           1.12-1                        OK
> libxcb-shm0                             1.12-1                        OK
> libxcb-sync1                            1.12-1                        OK
> libxcb-util1                            0.3.9-1                       OK
> libxcb-xfixes0                          1.12-1                        OK
> libxcb-xinerama0                        1.12-1                        OK
> libxcb-xkb1                             1.12-1                        OK
> libxcb1                                 1.12-1                        OK
> libXcomposite1                          0.4.3-1                       OK
> libXcursor1                             1.1.14-1                      OK
> libXdamage1                             1.1.4-1                       OK
> libXdmcp6                               1.1.2-1                       OK
> libXext6                                1.3.3-1                       OK
> libXfixes3                              5.0.3-1                       OK
> libXft2                                 2.3.2-1                       OK
> libXi6                                  1.7.8-1                       OK
> libXinerama1                            1.1.3-1                       OK
> libxkbcommon0                           0.6.1-1                       OK
> libxml2                                 2.9.4-2                       OK
> libXmu6                                 1.1.2-1                       OK
> libXpm4                                 3.5.12-1                      OK
> libXrandr2                              1.5.1-1                       OK
> libXrender1                             0.9.9-1                       OK
> libXss1                                 1.2.2-1                       OK
> libXt6                                  1.1.5-1                       OK
> libyaml0_2                              0.1.6-2                       OK
> lighttpd                                1.4.45-1                      OK
> login                                   1.11-1                        OK
> lua                                     5.2.4-1                       OK
> lua5.1                                  5.1.5-3                       OK
> lxqt-openssh-askpass                    0.11.0-1                      OK
> lxqt-openssh-askpass-debuginfo          0.11.0-1                      OK
> lynx                                    2.8.7-2                       OK
> m4                                      1.4.18-1                      OK
> make                                    4.2.1-2                       OK
> make-debuginfo                          4.2.1-2                       OK
> man-db                                  2.7.5-2                       OK
> mercurial                               4.0-1                         OK
> mingw-binutils                          2.23.1-1                      OK
> mingw-gcc-core                          4.7.3-1                       OK
> mingw-gcc-debuginfo                     4.7.3-1                       OK
> mingw-gcc-fortran                       4.7.3-1                       OK
> mingw-gcc-g++                           4.7.3-1                       OK
> mingw-gcc-objc                          4.7.3-1                       OK
> mingw-pthreads                          20110507-2                    OK
> mingw-runtime                           4.0-1                         OK
> mingw-w32api                            4.0-1                         OK
> mingw64-i686-binutils                   2.25.0.1.23f238d-1            OK
> mingw64-i686-gcc-ada                    5.4.0-4                       OK
> mingw64-i686-gcc-core                   5.4.0-4                       OK
> mingw64-i686-gcc-debuginfo              5.4.0-4                       OK
> mingw64-i686-gcc-fortran                5.4.0-4                       OK
> mingw64-i686-gcc-g++                    5.4.0-4                       OK
> mingw64-i686-gcc-objc                   5.4.0-4                       OK
> mingw64-i686-headers                    5.0.2-1                       OK
> mingw64-i686-libgnurx                   2.5-3                         OK
> mingw64-i686-libssh2                    1.7.0-2                       OK
> mingw64-i686-ncurses                    6.0-10.20170325               OK
> mingw64-i686-pkg-config                 0.29.1-1                      OK
> mingw64-i686-runtime                    5.0.2-1                       OK
> mingw64-i686-windows-default-manifest   6.4-1                         OK
> mingw64-i686-winpthreads                5.0.2-1                       OK
> mingw64-i686-zlib                       1.2.11-1                      OK
> mingw64-x86_64-binutils                 2.25.0.1.23f238d-1            OK
> mingw64-x86_64-gcc-ada                  5.4.0-3                       OK
> mingw64-x86_64-gcc-core                 5.4.0-3                       OK
> mingw64-x86_64-gcc-debuginfo            5.4.0-3                       OK
> mingw64-x86_64-gcc-fortran              5.4.0-3                       OK
> mingw64-x86_64-gcc-g++                  5.4.0-3                       OK
> mingw64-x86_64-gcc-objc                 5.4.0-3                       OK
> mingw64-x86_64-headers                  5.0.2-1                       OK
> mingw64-x86_64-libgnurx                 2.5-3                         OK
> mingw64-x86_64-libssh2                  1.7.0-2                       OK
> mingw64-x86_64-ncurses                  6.0-10.20170325               OK
> mingw64-x86_64-pkg-config               0.29.1-1                      OK
> mingw64-x86_64-runtime                  5.0.2-1                       OK
> mingw64-x86_64-windows-default-manifest 6.4-1                         OK
> mingw64-x86_64-winpthreads              5.0.2-1                       OK
> mingw64-x86_64-zlib                     1.2.11-1                      OK
> mintty                                  2.7.7-0                       OK
> mkfontdir                               1.0.7-1                       OK
> mkfontscale                             1.1.1-1                       OK
> mysql-common                            10.1.19-1                     OK
> ncurses                                 6.0-10.20170325               OK
> ncurses-debuginfo                       6.0-10.20170325               OK
> ncurses-demo                            6.0-10.20170325               OK
> noto-fonts-common                       20161021-1.git86b2e55         OK
> noto-javanese-fonts                     20161021-1.git86b2e55         OK
> odt2txt                                 0.5+20160502+gitde7f920-1     OK
> openssh                                 7.5p1-1                       OK
> openssh-debuginfo                       7.5p1-1                       OK
> openssl                                 1.0.2k-1                      OK
> openssl-devel                           1.0.2k-1                      OK
> p11-kit                                 0.23.5-1                      OK
> p11-kit-trust                           0.23.5-1                      OK
> perl                                    5.22.3-1                      OK
> perl-Authen-SASL                        2.16-2                        OK
> perl-Authen-SASL-XS                     1.00-1                        OK
> perl-Carp                               1.38-1                        OK
> perl-CGI                                4.36-1                        OK
> perl-DBD-SQLite                         1.54-1                        OK
> perl-DBI                                1.636-1                       OK
> perl-Digest-HMAC                        1.03-5                        OK
> perl-Encode-Locale                      1.05-1                        OK
> perl-Error                              0.17024-1                     OK
> perl-File-Listing                       6.04-5                        OK
> perl-Font-AFM                           1.20-1                        OK
> Empty package perl-HTML-Format
> perl-HTML-Format                        2.16-2                        OK
> perl-HTML-Formatter                     2.16-2                        OK
> perl-HTML-Parser                        3.72-1                        OK
> perl-HTML-Tagset                        3.20-5                        OK
> perl-HTML-Tree                          5.06-1                        OK
> perl-HTTP-Cookies                       6.03-1                        OK
> perl-HTTP-Daemon                        6.01-5                        OK
> perl-HTTP-Date                          6.02-5                        OK
> perl-HTTP-Message                       6.11-1                        OK
> perl-HTTP-Negotiate                     6.01-5                        OK
> perl-IO-HTML                            1.001-2                       OK
> perl-IO-Socket-SSL                      2.048-1                       OK
> perl-libwww-perl                        6.26-1                        OK
> perl-LWP-MediaTypes                     6.02-5                        OK
> perl-MailTools                          2.18-1                        OK
> perl-Mozilla-CA                         20160104-1                    OK
> perl-Net-HTTP                           6.16-1                        OK
> perl-Net-SMTP-SSL                       1.04-1                        OK
> perl-Net-SSLeay                         1.81-1                        OK
> perl-Pod-Simple                         3.35-1                        OK
> perl-Scalar-List-Utils                  1.47-1                        OK
> perl-TermReadKey                        2.37-1                        OK
> perl-TimeDate                           2.30-2                        OK
> perl-Try-Tiny                           0.28-1                        OK
> perl-Unicode-Normalize                  1.25-1                        OK
> perl-URI                                1.71-1                        OK
> perl-WWW-RobotRules                     6.02-5                        OK
> perl-YAML                               1.23-1                        OK
> perl_autorebase                         5.22.3-1                      OK
> perl_base                               5.22.3-1                      OK
> pkg-config                              0.29.1-1                      OK
> Empty package popt
> popt                                    1.16-2                        OK
> publicsuffix-list-dafsa                 20170424-1                    OK
> pylint                                  1.3.1-1                       OK
> Empty package python
> python                                  2.7.13-1                      OK
> Empty package python-chardet
> python-chardet                          2.3.0-1                       OK
> python-gi-common                        3.22.0-1                      OK
> python-logilab-astng                    0.24.3-1                      OK
> python-logilab-common                   0.62.0-1                      OK
> Empty package python-requests
> python-requests                         2.13.0-1                      OK
> Empty package python-setuptools
> python-setuptools                       34.3.2-1                      OK
> Empty package python-simplejson
> python-simplejson                       3.10.0-1                      OK
> Empty package python-six
> python-six                              1.10.0-1                      OK
> Empty package python-urllib3
> python-urllib3                          1.20-1                        OK
> python2                                 2.7.13-1                      OK
> python2-appdirs                         1.4.3-1                       OK
> python2-asn1crypto                      0.22.0-1                      OK
> python2-backports.ssl_match_hostname    3.5.0.1-1                     OK
> python2-cffi                            1.9.1-1                       OK
> python2-chardet                         2.3.0-1                       OK
> python2-cryptography                    1.8.1-1                       OK
> python2-enum34                          1.1.6-1                       OK
> python2-idna                            2.5-1                         OK
> python2-ipaddress                       1.0.18-1                      OK
> python2-openssl                         16.2.0-1                      OK
> python2-packaging                       16.8-1                        OK
> python2-ply                             3.9-1                         OK
> python2-pycparser                       2.17-1                        OK
> python2-pyparsing                       2.1.10-1                      OK
> python2-requests                        2.13.0-1                      OK
> python2-setuptools                      34.3.2-1                      OK
> python2-simplejson                      3.10.0-1                      OK
> python2-six                             1.10.0-1                      OK
> python2-urllib3                         1.20-1                        OK
> python3                                 3.6.1-1                       OK
> python3-cairo                           1.10.0-5                      OK
> python3-gi                              3.22.0-1                      OK
> rebase                                  4.4.2-1                       OK
> rsync                                   3.1.2-1                       OK
> ruby                                    2.3.3-1                       OK
> ruby-builder                            3.2.2-1                       OK
> ruby-curses                             1.0.2-1                       OK
> ruby-curses-doc                         1.0.2-1                       OK
> ruby-did_you_mean                       1.0.2-1                       OK
> ruby-io-console                         0.4.6-1                       OK
> ruby-json                               1.8.6-1                       OK
> ruby-minitest                           5.10.1-1                      OK
> Empty package ruby-minitest4
> ruby-minitest4                          5.10.1-1                      OK
> ruby-polyglot                           0.3.5-1                       OK
> ruby-psych                              2.2.4-1                       OK
> ruby-rake                               11.3.0-1                      OK
> ruby-rdoc                               4.3.0-1                       OK
> ruby-treetop                            1.4.15-1                      OK
> ruby-treetop-doc                        1.4.15-1                      OK
> rubygems                                2.6.11-1                      OK
> run                                     1.3.4-2                       OK
> sed                                     4.4-1                         OK
> shared-mime-info                        1.7-1                         OK
> ssh-pageant                             1.4-1                         OK
> ssh-pageant-debuginfo                   1.4-1                         OK
> stgit                                   0.17.1-1                      OK
> subversion                              1.9.5-2                       OK
> subversion-perl                         1.9.5-2                       OK
> swig                                    3.0.12-1                      OK
> swig-debuginfo                          3.0.12-1                      OK
> tar                                     1.29-1                        OK
> tcl                                     8.6.6-1                       OK
> tcl-tk                                  8.6.6-1                       OK
> terminfo                                6.0-10.20170325               OK
> texinfo                                 6.3-1                         OK
> tree                                    1.7.0-1                       OK
> tzcode                                  2016j-1                       OK
> tzdata                                  2017b-1                       OK
> util-linux                              2.25.2-2                      OK
> vala-ggit1.0                            0.24.4-1                      OK
> vim-minimal                             8.0.0596-1                    OK
> w32api-headers                          5.0.2-1                       OK
> w32api-runtime                          5.0.2-1                       OK
> which                                   2.20-2                        OK
> windows-default-manifest                6.4-1                         OK
> xkeyboard-config                        2.20-1                        OK
> xorg-x11-fonts-dpi75                    7.5-3                         OK
> xorg-x11-fonts-misc                     7.5-3                         OK
> xz                                      5.2.3-1                       OK
> ytree                                   1.97-2                        OK
> zlib                                    1.2.11-1                      OK
> zlib-devel                              1.2.11-1                      OK
> zlib0                                   1.2.11-1                      OK
> Use -h to see help about each section  
> Any chance you can test this on a bare Windows system with a fresh
> Cygwin install and only the required modules?
> No
> -- 
> Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada
> 
> -- 
> Best regards,
> Richard                          mailto:rigordo@comcast.net <mailto:rigordo@comcast.net>
History
Date User Action Args
2017-06-12 12:53:02rigordosetmessages: + msg295774
2017-06-12 09:36:49vstinnersetnosy: - vstinner
2017-06-11 23:47:20rigordo959setmessages: + msg295735
2017-06-11 23:32:59rigordo959setmessages: + msg295734
2017-06-11 11:21:12rigordosetmessages: + msg295704
2017-06-11 10:39:38rigordosetmessages: + msg295702
2017-06-10 08:29:19rigordosetmessages: + msg295619
2017-06-09 21:41:54terry.reedysetstatus: open -> closed

nosy: + terry.reedy
messages: + msg295585

resolution: third party
stage: test needed -> resolved
2017-06-09 20:59:25rigordosetmessages: + msg295576
2017-06-09 20:57:28masamotosetmessages: + msg295575
2017-06-09 20:41:50vstinnersetmessages: + msg295570
2017-06-09 19:53:41rigordosetmessages: + msg295563
2017-06-09 16:32:28vstinnersetmessages: + msg295554
2017-06-09 16:24:13rigordo959setmessages: + msg295551
2017-06-09 16:00:54rigordo959setnosy: + rigordo959
messages: + msg295548
2017-06-09 15:16:24vstinnersetnosy: + vstinner
messages: + msg295539
2017-06-09 15:02:12zach.waresetversions: + Python 3.6
nosy: + erik.bray, zach.ware, masamoto

messages: + msg295537

type: behavior
stage: test needed
2017-06-09 08:17:45rigordocreate